#Command file for Mgraph to generate PostScript plots

SetSignature	"L.O.A Linux Powered Team"
AddLogo     XStart=1.000 YStart=27.000 XScale=0.140 YScale=0.140

SetAlias
#verbose
Readfile   file="AliasesFile"


#############################################################

ReadSurface      File=@file1 Mode=IRREGULAR  \
	Ncolumns=19 Nlines=9960  LinesToSkip=0 Xcolumn=2 Ycolumn=1 zcolumn=@zcolumn  \
	UndefValue=999 Zmin=0 Zmax=100

ReadFile     File="DATA/MGWORLD_MAP" Mode=Cartesian  Style=LinePlot  \
	NColumns=0  XColumn=1  YColumn=0  NLines=0  LinesToSkip=0 UndefValue=3.40282e+38

PlotTitle     Title="November" Height=1.00
Grid          Frame=Yes   Xgrid=Light      Ygrid=Light  [Yes | Light | No] 
#ScaleToFrame

#Formula       Min=0   Max=0   Npoints=0   Formula="y4=y1+(y2-y1)*((y3-310)/140)"

LineStyle     Curve=1   Style=Solid           Color=White        Thickness=1
MarkStyle     Curve=1   Style=NoMark          Size=3
#BE CAREFUL!! Xmin, Xmax, Ymin and Ymax allows a surface rescale 
#REMOVE Square brackets if you use optional limits 
SurfaceGeometry [Xmin=-178.5 Xmax=178.5 Ymin=-82 Ymax=82]    DistanceFactor=1 XYRatio=1 NearestPixelInterpolation=Yes
ContourDef  [Smooth=Yes|No]  BackGround=Transp [White] ForeGround=Undef [Undef|White|Black]\
	IdealDistance=1 Size=1 CFormat="%.3g" 
SurfaceLUT          LutNumber=2
AddObject        Surface      [Region Surface Dots Triangles]

XTitle        Title=" " Height=1.00
XAxis Show=Yes     Scale=Linear    Min=-179.999    Max=179.998  Delta=30  Color=Black  Thickness=1  
XLabel        LabelStep=-1   Reference=0   LabelHeight=1.00   CFormat="%.0f^o"  Angle=0.0
YTitle        Title=" " Height=1.00
YAxis Show=Yes     Scale=Linear    Min=-85.4703    Max=83.6236    Delta=30  Color=Black  Thickness=1  
YLabel        LabelStep=-1    Reference=-1   LabelHeight=1.00   CFormat="%.0f^o"  Angle=0.0

DrawCell     XStart=1.0000   YStart=1.0000   Width=9.0000   Height=4.5000\
	Type=Color   Orientation=Portrait  Mode=Margin[|ScaleToFrame] 

#############################################################

ReadSurface      File=@file2 Mode=IRREGULAR  \
	Ncolumns=19 Nlines=9960  LinesToSkip=0 Xcolumn=2 Ycolumn=1 zcolumn=@zcolumn  \
	UndefValue=999 Zmin=0 Zmax=100

ReadFile     File="DATA/MGWORLD_MAP" Mode=Cartesian  Style=LinePlot  \
	NColumns=0  XColumn=1  YColumn=0  NLines=0  LinesToSkip=0 UndefValue=3.40282e+38

PlotTitle     Title="December" Height=1.00
Grid          Frame=Yes   Xgrid=Light      Ygrid=Light  [Yes | Light | No] 
#ScaleToFrame

#Formula       Min=0   Max=0   Npoints=0   Formula="y4=y1+(y2-y1)*((y3-310)/140)"

LineStyle     Curve=1   Style=Solid           Color=White        Thickness=1
MarkStyle     Curve=1   Style=NoMark          Size=3
#BE CAREFUL!! Xmin, Xmax, Ymin and Ymax allows a surface rescale 
#REMOVE Square brackets if you use optional limits 
SurfaceGeometry [Xmin=-178.5 Xmax=178.5 Ymin=-82 Ymax=82]    DistanceFactor=1 XYRatio=1 NearestPixelInterpolation=Yes
ContourDef  [Smooth=Yes|No]  BackGround=Transp [White] ForeGround=Undef [Undef|White|Black]\
	IdealDistance=1 Size=1 CFormat="%.3g" 
SurfaceLUT          LutNumber=2
AddObject        Surface      [Region Surface Dots Triangles]

XTitle        Title=" " Height=1.00
XAxis Show=Yes     Scale=Linear    Min=-179.999    Max=179.998  Delta=30  Color=Black  Thickness=1  
XLabel        LabelStep=-1   Reference=0   LabelHeight=1.00   CFormat="%.0f^o"  Angle=0.0
YTitle        Title=" " Height=1.00
YAxis Show=Yes     Scale=Linear    Min=-85.4703    Max=83.6236    Delta=30  Color=Black  Thickness=1  
YLabel        LabelStep=-1    Reference=-1   LabelHeight=1.00   CFormat="%.0f^o"  Angle=0.0

DrawCell     XStart=11.0000   YStart=1.0000   Width=9.0000   Height=4.5000\
	Type=Color   Orientation=Portrait  Mode=Margin[|ScaleToFrame] 

#############################################################

ReadSurface      File=@file3 Mode=IRREGULAR  \
	Ncolumns=19 Nlines=9960  LinesToSkip=0 Xcolumn=2 Ycolumn=1 zcolumn=@zcolumn  \
	UndefValue=999 Zmin=0 Zmax=100

ReadFile     File="DATA/MGWORLD_MAP" Mode=Cartesian  Style=LinePlot  \
	NColumns=0  XColumn=1  YColumn=0  NLines=0  LinesToSkip=0 UndefValue=3.40282e+38

PlotTitle     Title="January" Height=1.00
Grid          Frame=Yes   Xgrid=Light      Ygrid=Light  [Yes | Light | No] 
#ScaleToFrame

#Formula       Min=0   Max=0   Npoints=0   Formula="y4=y1+(y2-y1)*((y3-310)/140)"

LineStyle     Curve=1   Style=Solid           Color=White        Thickness=1
MarkStyle     Curve=1   Style=NoMark          Size=3
#BE CAREFUL!! Xmin, Xmax, Ymin and Ymax allows a surface rescale 
#REMOVE Square brackets if you use optional limits 
SurfaceGeometry [Xmin=-178.5 Xmax=178.5 Ymin=-82 Ymax=82]    DistanceFactor=1 XYRatio=1 NearestPixelInterpolation=Yes
ContourDef  [Smooth=Yes|No]  BackGround=Transp [White] ForeGround=Undef [Undef|White|Black]\
	IdealDistance=1 Size=1 CFormat="%.3g" 
SurfaceLUT          LutNumber=2
AddObject        Surface      [Region Surface Dots Triangles]

XTitle        Title=" " Height=1.00
XAxis Show=Yes     Scale=Linear    Min=-179.999    Max=179.998  Delta=30  Color=Black  Thickness=1  
XLabel        LabelStep=-1   Reference=0   LabelHeight=1.00   CFormat="%.0f^o"  Angle=0.0
YTitle        Title=" " Height=1.00
YAxis Show=Yes     Scale=Linear    Min=-85.4703    Max=83.6236    Delta=30  Color=Black  Thickness=1  
YLabel        LabelStep=-1    Reference=-1   LabelHeight=1.00   CFormat="%.0f^o"  Angle=0.0

DrawCell     XStart=1.0000   YStart=6.0000   Width=9.0000   Height=4.5000\
	Type=Color   Orientation=Portrait  Mode=Margin[|ScaleToFrame] 

#############################################################


ReadSurface      File=@file4  Mode=IRREGULAR  \
	Ncolumns=19 Nlines=9960  LinesToSkip=0 Xcolumn=2 Ycolumn=1 zcolumn=@zcolumn  \
	UndefValue=999 Zmin=0 Zmax=100

ReadFile     File="DATA/MGWORLD_MAP" Mode=Cartesian  Style=LinePlot  \
	NColumns=0  XColumn=1  YColumn=0  NLines=0  LinesToSkip=0 UndefValue=3.40282e+38

PlotTitle     Title="February" Height=1.00
Grid          Frame=Yes   Xgrid=Light      Ygrid=Light  [Yes | Light | No] 
#ScaleToFrame

#Formula       Min=0   Max=0   Npoints=0   Formula="y4=y1+(y2-y1)*((y3-310)/140)"

LineStyle     Curve=1   Style=Solid           Color=White        Thickness=1
MarkStyle     Curve=1   Style=NoMark          Size=3
#BE CAREFUL!! Xmin, Xmax, Ymin and Ymax allows a surface rescale 
#REMOVE Square brackets if you use optional limits 
SurfaceGeometry [Xmin=-178.5 Xmax=178.5 Ymin=-82 Ymax=82]    DistanceFactor=1 XYRatio=1 NearestPixelInterpolation=Yes
ContourDef  [Smooth=Yes|No]  BackGround=Transp [White] ForeGround=Undef [Undef|White|Black]\
	IdealDistance=1 Size=1 CFormat="%.3g" 
SurfaceLUT          LutNumber=2
AddObject        Surface      [Region Surface Dots Triangles]

XTitle        Title=" " Height=1.00
XAxis Show=Yes     Scale=Linear    Min=-179.999    Max=179.998  Delta=30  Color=Black  Thickness=1  
XLabel        LabelStep=-1   Reference=0   LabelHeight=1.00   CFormat="%.0f^o"  Angle=0.0
YTitle        Title=" " Height=1.00
YAxis Show=Yes     Scale=Linear    Min=-85.4703    Max=83.6236    Delta=30  Color=Black  Thickness=1  
YLabel        LabelStep=-1    Reference=-1   LabelHeight=1.00   CFormat="%.0f^o"  Angle=0.0


DrawCell     XStart=11.0000   YStart=6.0000   Width=9.0000   Height=4.5000\
	Type=Color   Orientation=Portrait  Mode=Margin[|ScaleToFrame] 

#############################################################

ReadSurface      File=@file5 Mode=IRREGULAR  \
	Ncolumns=19 Nlines=9960  LinesToSkip=0 Xcolumn=2 Ycolumn=1 zcolumn=@zcolumn  \
	UndefValue=999 Zmin=0 Zmax=100

ReadFile     File="DATA/MGWORLD_MAP" Mode=Cartesian  Style=LinePlot  \
	NColumns=0  XColumn=1  YColumn=0  NLines=0  LinesToSkip=0 UndefValue=3.40282e+38

PlotTitle     Title="March" Height=1.00
Grid          Frame=Yes   Xgrid=Light      Ygrid=Light  [Yes | Light | No] 
#ScaleToFrame

#Formula       Min=0   Max=0   Npoints=0   Formula="y4=y1+(y2-y1)*((y3-310)/140)"

LineStyle     Curve=1   Style=Solid           Color=White        Thickness=1
MarkStyle     Curve=1   Style=NoMark          Size=3
#BE CAREFUL!! Xmin, Xmax, Ymin and Ymax allows a surface rescale 
#REMOVE Square brackets if you use optional limits 
SurfaceGeometry [Xmin=-178.5 Xmax=178.5 Ymin=-82 Ymax=82]    DistanceFactor=1 XYRatio=1 NearestPixelInterpolation=Yes
ContourDef  [Smooth=Yes|No]  BackGround=Transp [White] ForeGround=Undef [Undef|White|Black]\
	IdealDistance=1 Size=1 CFormat="%.3g" 
SurfaceLUT          LutNumber=2
AddObject        Surface      [Region Surface Dots Triangles]

XTitle        Title=" " Height=1.00
XAxis Show=Yes     Scale=Linear    Min=-179.999    Max=179.998  Delta=30  Color=Black  Thickness=1  
XLabel        LabelStep=-1   Reference=0   LabelHeight=1.00   CFormat="%.0f^o"  Angle=0.0
YTitle        Title=" " Height=1.00
YAxis Show=Yes     Scale=Linear    Min=-85.4703    Max=83.6236    Delta=30  Color=Black  Thickness=1  
YLabel        LabelStep=-1    Reference=-1   LabelHeight=1.00   CFormat="%.0f^o"  Angle=0.0

DrawCell     XStart=1.0000   YStart=11.0000   Width=9.0000   Height=4.5000\
	Type=Color   Orientation=Portrait  Mode=Margin[|ScaleToFrame] 

#############################################################

ReadSurface      File=@file6 Mode=IRREGULAR  \
	Ncolumns=19 Nlines=9960  LinesToSkip=0 Xcolumn=2 Ycolumn=1 zcolumn=@zcolumn  \
	UndefValue=999 Zmin=0 Zmax=100

ReadFile     File="DATA/MGWORLD_MAP" Mode=Cartesian  Style=LinePlot  \
	NColumns=0  XColumn=1  YColumn=0  NLines=0  LinesToSkip=0 UndefValue=3.40282e+38

PlotTitle     Title="April" Height=1.00
Grid          Frame=Yes   Xgrid=Light      Ygrid=Light  [Yes | Light | No] 
#ScaleToFrame

#Formula       Min=0   Max=0   Npoints=0   Formula="y4=y1+(y2-y1)*((y3-310)/140)"

LineStyle     Curve=1   Style=Solid           Color=White        Thickness=1
MarkStyle     Curve=1   Style=NoMark          Size=3
#BE CAREFUL!! Xmin, Xmax, Ymin and Ymax allows a surface rescale 
#REMOVE Square brackets if you use optional limits 
SurfaceGeometry [Xmin=-178.5 Xmax=178.5 Ymin=-82 Ymax=82]    DistanceFactor=1 XYRatio=1 NearestPixelInterpolation=Yes
ContourDef  [Smooth=Yes|No]  BackGround=Transp [White] ForeGround=Undef [Undef|White|Black]\
	IdealDistance=1 Size=1 CFormat="%.3g" 
SurfaceLUT          LutNumber=2
AddObject        Surface      [Region Surface Dots Triangles]

XTitle        Title=" " Height=1.00
XAxis Show=Yes     Scale=Linear    Min=-179.999    Max=179.998  Delta=30  Color=Black  Thickness=1  
XLabel        LabelStep=-1   Reference=0   LabelHeight=1.00   CFormat="%.0f^o"  Angle=0.0
YTitle        Title=" " Height=1.00
YAxis Show=Yes     Scale=Linear    Min=-85.4703    Max=83.6236    Delta=30  Color=Black  Thickness=1  
YLabel        LabelStep=-1    Reference=-1   LabelHeight=1.00   CFormat="%.0f^o"  Angle=0.0

DrawCell     XStart=11.0000   YStart=11.0000   Width=9.0000   Height=4.5000\
	Type=Color   Orientation=Portrait  Mode=Margin[|ScaleToFrame] 

#############################################################

ReadSurface      File=@file7 Mode=IRREGULAR  \
	Ncolumns=19 Nlines=9960  LinesToSkip=0 Xcolumn=2 Ycolumn=1 zcolumn=@zcolumn  \
	UndefValue=999 Zmin=0 Zmax=100

ReadFile     File="DATA/MGWORLD_MAP" Mode=Cartesian  Style=LinePlot  \
	NColumns=0  XColumn=1  YColumn=0  NLines=0  LinesToSkip=0 UndefValue=3.40282e+38

PlotTitle     Title="May" Height=1.00
Grid          Frame=Yes   Xgrid=Light      Ygrid=Light  [Yes | Light | No] 
#ScaleToFrame

#Formula       Min=0   Max=0   Npoints=0   Formula="y4=y1+(y2-y1)*((y3-310)/140)"

LineStyle     Curve=1   Style=Solid           Color=White        Thickness=1
MarkStyle     Curve=1   Style=NoMark          Size=3
#BE CAREFUL!! Xmin, Xmax, Ymin and Ymax allows a surface rescale 
#REMOVE Square brackets if you use optional limits 
SurfaceGeometry [Xmin=-178.5 Xmax=178.5 Ymin=-82 Ymax=82]    DistanceFactor=1 XYRatio=1 NearestPixelInterpolation=Yes
ContourDef  [Smooth=Yes|No]  BackGround=Transp [White] ForeGround=Undef [Undef|White|Black]\
	IdealDistance=1 Size=1 CFormat="%.3g" 
SurfaceLUT          LutNumber=2
AddObject        Surface      [Region Surface Dots Triangles]

XTitle        Title=" " Height=1.00
XAxis Show=Yes     Scale=Linear    Min=-179.999    Max=179.998  Delta=30  Color=Black  Thickness=1  
XLabel        LabelStep=-1   Reference=0   LabelHeight=1.00   CFormat="%.0f^o"  Angle=0.0
YTitle        Title=" " Height=1.00
YAxis Show=Yes     Scale=Linear    Min=-85.4703    Max=83.6236    Delta=30  Color=Black  Thickness=1  
YLabel        LabelStep=-1    Reference=-1   LabelHeight=1.00   CFormat="%.0f^o"  Angle=0.0

DrawCell     XStart=1.0000   YStart=16.0000   Width=9.0000   Height=4.5000\
	Type=Color   Orientation=Portrait  Mode=Margin[|ScaleToFrame] 

#############################################################

ReadSurface      File=@file8 Mode=IRREGULAR  \
	Ncolumns=19 Nlines=9960  LinesToSkip=0 Xcolumn=2 Ycolumn=1 zcolumn=@zcolumn  \
	UndefValue=999 Zmin=0 Zmax=100

ReadFile     File="DATA/MGWORLD_MAP" Mode=Cartesian  Style=LinePlot  \
	NColumns=0  XColumn=1  YColumn=0  NLines=0  LinesToSkip=0 UndefValue=3.40282e+38

PlotTitle     Title="June" Height=1.00
Grid          Frame=Yes   Xgrid=Light      Ygrid=Light  [Yes | Light | No] 
#ScaleToFrame

#Formula       Min=0   Max=0   Npoints=0   Formula="y4=y1+(y2-y1)*((y3-310)/140)"

LineStyle     Curve=1   Style=Solid           Color=White        Thickness=1
MarkStyle     Curve=1   Style=NoMark          Size=3
#BE CAREFUL!! Xmin, Xmax, Ymin and Ymax allows a surface rescale 
#REMOVE Square brackets if you use optional limits 
SurfaceGeometry [Xmin=-178.5 Xmax=178.5 Ymin=-82 Ymax=82]    DistanceFactor=1 XYRatio=1 NearestPixelInterpolation=Yes
ContourDef  [Smooth=Yes|No]  BackGround=Transp [White] ForeGround=Undef [Undef|White|Black]\
	IdealDistance=1 Size=1 CFormat="%.3g" 
SurfaceLUT          LutNumber=2



ColorScale      Mode=Boxes [|Linear]    XStart=-60% YStart=120% XEnd=30% YEnd=140% Min=0 Max=255  \
        Color=Black Position=Bottom NoTick=Yes CFormat="%.0f%%" Size=1.2 \
        List= 0 0 20 20 40 40 60 60 80 80 100 100

AddObject        Surface      [Region Surface Dots Triangles]

XTitle        Title=" " Height=1.00
XAxis Show=Yes     Scale=Linear    Min=-179.999    Max=179.998  Delta=30  Color=Black  Thickness=1  
XLabel        LabelStep=-1   Reference=0   LabelHeight=1.00   CFormat="%.0f^o"  Angle=0.0
YTitle        Title=" " Height=1.00
YAxis Show=Yes     Scale=Linear    Min=-85.4703    Max=83.6236    Delta=30  Color=Black  Thickness=1  
YLabel        LabelStep=-1    Reference=-1   LabelHeight=1.00   CFormat="%.0f^o"  Angle=0.0

DrawCell     XStart=11.0000   YStart=16.0000   Width=9.0000   Height=4.5000\
	Type=Color   Orientation=Portrait  Mode=Margin[|ScaleToFrame] 

#############################################################



#   ********  Page annotations ********  
PageText    XStart=2.6700  YStart=22.4200   Color=Black  Style=Plain  Height=0.8000  Angle=0.00 Text="@TITLE" 
#   ********  Page annotations: End ********  

SendToFile   File=@OUT_PS  Type=Color    [Copies=1]   Orientation=Portrait
#SendToPrinter  Command="lpr -PLOA_TEK_COL"  Type=Color   [Copies=1]   Orientation=Portrait
