#Command file for Mgraph to generate PostScript plots

#The sign # comments the line
#Square brackets ([...]) indicate that the enclosed element is optional
#Quotes ("...") are used around literal characters
#The sign \ joins the line with the next line
#Set up and uncomment the ReadFile and the SendToFile/SendToPrinter lines
#Mgraph -help  provides a description of the command file

#Color  options: Red Blue Magenta Black Green Forest Sienna Yellow
#               Coral Violet Plum Cyan Turquoise Whitel
#Line   options: Solid NoLine MicroDash  SmallDash Dash LongDash Dashdot LineDot
#Marker options: NoMark  BigDot SmallDot Cross X
#                Square  Diamond  TriangleUp  TriangleDown  Circle
#               FSquare FDiamond FTriangleUp FTriangleDown FCircle


#Verbose

WindowSize Width=580 Height=553
#SetPaper   [A4 | A3 | B5 | USLETTER | USLEGAL]
#LineJoin   [Round|Sharp]
#SetSignature	"L.O.A. Computer Team"
AddLogo     XStart=1.000 YStart=2.700 XScale=0.140 YScale=0.140


#############################################################

ReadSurface      File="/space/SYS/chris/TEST_SOFT/MGRAPH.com_Examples/DATA/sioh120.dat" Mode=IRREGULAR  \
	Ncolumns=5 Nlines=69  LinesToSkip=0 Xcolumn=1 Ycolumn=2 Zcolumn=3  \
	UndefValue=-8421 Zmin=-1 Zmax=-1

PlotTitle     Title="SPHINX" Height=0.00
Grid          Frame=Yes   Xgrid=Yes      Ygrid=Yes  [Yes | Light | No] 
#ScaleToFrame
#BE CAREFUL!! Xmin, Xmax, Ymin and Ymax allows a surface rescale 
#REMOVE Square brackets if you use optional limits 
SurfaceGeometry [Xmin=1.4 Xmax=2.5 Ymin=0.9 Ymax=1.8]    DistanceFactor=2 XYRatio=1 NearestPixelInterpolation=No
ContourDef  [Smooth=Yes|No]  BackGround=Transp [White] ForeGround=Undef [Undef|White|Black]\
	IdealDistance=1 Size=1 CFormat="%.3g" 
AddObject        Surface      [Region Surface Dots Triangles]
SurfaceLUT          LutNumber=6

XTitle        Title="X" Height=0.00
XAxis Show=Yes     Scale=Linear    Min=1.4    Max=2.5  Delta=-1  Color=Black  Thickness=1  
XLabel        LabelStep=-1   Reference=-1   LabelHeight=0.00   CFormat=""  Angle=0.0
YTitle        Title="Y" Height=0.00
YAxis Show=Yes     Scale=Linear    Min=0.9    Max=1.8    Delta=-1  Color=Black  Thickness=1  
YLabel        LabelStep=-1    Reference=-1   LabelHeight=0.00   CFormat=""  Angle=0.0


#SendTo[EPS]File   File="./print.ps"  Type=Black&White  Size=15.0000 SquareFrame=No  Copies=1 Orientation=Portrait
#SendToPrinter  Command="/usr/LOA/bin/vidpsINF"  Type=Black&White  Size=15.0000 SquareFrame=No  Copies=1 Orientation=Portrait
