#Command file for Mgraph to generate PostScript plots

#The sign # comments the line
#Square brackets ([...]) indicate that the enclosed element is optional
#Quotes ("...") are used around literal characters
#The sign \ joins the line with the next line
#Set up and uncomment the ReadFile and the SendToFile/SendToPrinter lines
#Mgraph -help  provides a description of the command file

#Color  options: Red Blue Magenta Black Green Forest Sienna Yellow
#               Coral Violet Plum Cyan Turquoise Whitel
#Line   options: Solid NoLine MicroDash  SmallDash Dash LongDash Dashdot LineDot
#Marker options: NoMark  BigDot SmallDot Cross X
#                Square  Diamond  TriangleUp  TriangleDown  Circle
#               FSquare FDiamond FTriangleUp FTriangleDown FCircle


#Verbose

WindowSize Width=580 Height=518
#SetPaper   [A4 | A3 | B5 | USLETTER | USLEGAL]
#LineJoin   [Round|Sharp]
SetSignature	"L.O.A. Computer Team "
AddLogo     XStart=1.000 YStart=2.700 XScale=0.140 YScale=0.140

PageText    XStart=5.0  YStart=3.0   Color=Red  Style=Plain  Height=0.6000  Angle=0.00 Text="VARIABLE=X"
PageText    XStart=14.0  YStart=3.  Color=Red  Style=Plain  Height=0.6000  Angle=0.00 Text="VARIABLE=Y"


#############  SMOOTH TEST LINEAR/COS(X) ####################

ReadFile     File="DataBlock DATA" Mode=Cartesian  Style=ScatterPlot  \
	NColumns=2  XColumn=1  YColumn=0  NLines=0  LinesToSkip=0 UndefValue=3.40282e+38

PlotTitle     Title="Smooth test Linear/cos(x)" Height=0.00
Grid          Frame=Yes   Xgrid=Yes      Ygrid=Yes  [Yes | Light | No] 
#ScaleToFrame


XTitle        Title="cos(x)" Height=1.00
XAxis Show=Yes     Scale=Formula Formula="cos(x)"    Min=-2.939    Max=3.125  Delta=-1  Color=Black  Thickness=1
XLabel        LabelStep=-1   Reference=-1   LabelHeight=1.00   CFormat=""  Angle=0.0
YTitle        Title="Y" Height=1.00
YAxis Show=Yes     Scale=Linear    Min=0.01894    Max=0.9977    Delta=-1  Color=Black  Thickness=1
YLabel        LabelStep=-1    Reference=-1   LabelHeight=1.00   CFormat=""  Angle=0.0

Fit     Function=Smooth     Curve=-1  Min=1 Max=2.5 WindowSize=10    [Mode=Add|Replace|Merge] Variable=X

LineStyle     Curve=1   Style=NoLine          Color=Red          Thickness=1
MarkStyle     Curve=1   Style=BigDot          Size=3
LineStyle     Curve=2   Style=Solid           Color=Blue         Thickness=6
MarkStyle     Curve=2   Style=NoMark          Size=3

DrawCell     XStart=1.0   YStart=3.5   Width=10.0   Height=6.0\
Type=Color   Orientation=Portrait  Mode=Margin[|ScaleToFrame]




############  SMOOTH TEST COS(Y)/LINEAR INVERS ##############

ReadFile     File="DataBlock DATA" Mode=Cartesian  Style=ScatterPlot  \
	NColumns=2  XColumn=2  YColumn=1  NLines=0  LinesToSkip=0 UndefValue=3.40282e+38

PlotTitle     Title="Smooth test cos(y)/Linear" Height=0.00
Grid          Frame=Yes   Xgrid=Yes      Ygrid=Yes  [Yes | Light | No] 
#ScaleToFrame

XTitle        Title="X" Height=1.00
XAxis Show=Yes     Scale=LInear    Min=0.01894    Max=0.9977  Delta=-1  Color=Black  Thickness=1
XLabel        LabelStep=-1   Reference=-1   LabelHeight=1.00   CFormat=""  Angle=0.0
YTitle        Title="" Height=1.00
YAxis Show=Yes     Scale=Formula Formula="cos(y)"   Min=-2.939    Max=3.125    Delta=-1  Color=Black  Thickness=1  
YLabel        LabelStep=-1    Reference=-1   LabelHeight=1.00   CFormat=""  Angle=0.0

Fit     Function=Smooth     Curve=-1  Min=1 Max=2.5 WindowSize=10    [Mode=Add|Replace|Merge] Variable=Y

LineStyle     Curve=1   Style=NoLine          Color=Red          Thickness=1
MarkStyle     Curve=1   Style=BigDot          Size=3
LineStyle     Curve=2   Style=Solid           Color=Blue         Thickness=6
MarkStyle     Curve=2   Style=NoMark          Size=3

DrawCell     XStart=10.   YStart=3.5   Width=10.0   Height=6.0\
Type=Color   Orientation=Portrait  Mode=Margin[|ScaleToFrame]




############  SMOOTH TEST lOGARITHM/COS(X)  ###################

ReadFile     File="DataBlock DATA" Mode=Cartesian  Style=ScatterPlot  \
	NColumns=2  XColumn=1  YColumn=0  NLines=0  LinesToSkip=0 UndefValue=3.40282e+38

PlotTitle     Title="Smooth test logarithm/cos(x)" Height=0.00
Grid          Frame=Yes   Xgrid=Yes      Ygrid=Yes  [Yes | Light | No]
#ScaleToFrame

XTitle        Title="cos(x)" Height=1.00
XAxis Show=Yes     Scale=Formula Formula="cos(x)"    Min=-2.939    Max=3.125  Delta=-1  Color=Black  Thickness=1
XLabel        LabelStep=-1   Reference=-1   LabelHeight=1.00   CFormat=""  Angle=0.0
YTitle        Title="Y" Height=1.00
YAxis Show=Yes     Scale=Logarithm    Min=0.01894    Max=0.9977    Delta=-1  Color=Black  Thickness=1
YLabel        LabelStep=-1    Reference=-1   LabelHeight=1.00   CFormat=""  Angle=0.0

Fit     Function=Smooth     Curve=-1  Min=.1 Max=2.5 WindowSize=10    [Mode=Add|Replace|Merge] Variable=X

LineStyle     Curve=1   Style=NoLine          Color=Red          Thickness=1
MarkStyle     Curve=1   Style=BigDot          Size=3
LineStyle     Curve=2   Style=Solid           Color=Blue         Thickness=6
MarkStyle     Curve=2   Style=NoMark          Size=3

DrawCell     XStart=1.0   YStart=11.5   Width=10.0   Height=6.0\
Type=Color   Orientation=Portrait  Mode=Margin[|ScaleToFrame]





############  SMOOTH TEST lOGARITHM/COS(X)  INVERS ###################

ReadFile     File="DataBlock DATA" Mode=Cartesian  Style=ScatterPlot  \
	NColumns=2  XColumn=2  YColumn=1  NLines=0  LinesToSkip=0 UndefValue=3.40282e+38

PlotTitle     Title="Smooth test cos(y)/logarithm" Height=0.00
Grid          Frame=Yes   Xgrid=Yes      Ygrid=Yes  [Yes | Light | No]
#ScaleToFrame

XTitle        Title="X" Height=1.00
XAxis Show=Yes     Scale=Logarithm    Min=0.01894    Max=0.9977    Delta=-1  Color=Black  Thickness=1
XLabel        LabelStep=-1   Reference=-1   LabelHeight=1.00   CFormat=""  Angle=0.0
YTitle        Title="" Height=1.00
YAxis Show=Yes     Scale=Formula Formula="cos(y)"    Min=-2.939    Max=3.125  Delta=-1  Color=Black  Thickness=1
YLabel        LabelStep=-1    Reference=-1   LabelHeight=1.00   CFormat=""  Angle=0.0

Fit     Function=Smooth     Curve=-1  Min=.1 Max=2.5 WindowSize=10    [Mode=Add|Replace|Merge] Variable=Y

LineStyle     Curve=1   Style=NoLine          Color=Red          Thickness=1
MarkStyle     Curve=1   Style=BigDot          Size=3
LineStyle     Curve=2   Style=Solid           Color=Blue         Thickness=6
MarkStyle     Curve=2   Style=NoMark          Size=3

DrawCell     XStart=10.0  YStart=11.5   Width=10.0   Height=6.0\
Type=Color   Orientation=Portrait  Mode=Margin[|ScaleToFrame]

###############################################################




############ SMOOTH TEST COS(Y)/COS(X) ###################

ReadFile     File="DataBlock DATA" Mode=Cartesian  Style=ScatterPlot  \
	NColumns=2  XColumn=1  YColumn=0  NLines=0  LinesToSkip=0 UndefValue=3.40282e+38

PlotTitle     Title="Smooth test cos(y)/cos(x)" Height=0.00
Grid          Frame=Yes   Xgrid=Yes      Ygrid=Yes  [Yes | Light | No]
#ScaleToFrame

XTitle        Title="cos(x)" Height=1.00
XAxis Show=Yes     Scale=Formula Formula="cos(x)"    Min=-2.939    Max=3.125  Delta=-1  Color=Black  Thickness=1
XLabel        LabelStep=-1   Reference=-1   LabelHeight=1.00   CFormat=""  Angle=0.0
YTitle        Title="cos(y)" Height=1.00
YAxis Show=Yes     Scale=Formula Formula="cos(y)"    Min=0.01894    Max=0.9977  Delta=-1  Color=Black  Thickness=1
YLabel        LabelStep=-1    Reference=-1   LabelHeight=1.00   CFormat=""  Angle=0.0

Fit     Function=Smooth     Curve=-1  Min=.1 Max=2.5 WindowSize=10    [Mode=Add|Replace|Merge] Variable=X

LineStyle     Curve=1   Style=NoLine          Color=Red          Thickness=1
MarkStyle     Curve=1   Style=BigDot          Size=3
LineStyle     Curve=2   Style=Solid           Color=Blue         Thickness=6
MarkStyle     Curve=2   Style=NoMark          Size=3

DrawCell     XStart=1.0   YStart=19.5   Width=10.0   Height=6.0\
Type=Color   Orientation=Portrait  Mode=Margin[|ScaleToFrame]

#############################################################





############ SMOOTH TEST COS(Y)/COS(X) INVERS ###################

ReadFile     File="DataBlock DATA" Mode=Cartesian  Style=ScatterPlot  \
	NColumns=2  XColumn=2  YColumn=1  NLines=0  LinesToSkip=0 UndefValue=3.40282e+38

PlotTitle     Title="Smooth test cos(y)/cos(x)" Height=0.00
Grid          Frame=Yes   Xgrid=Yes      Ygrid=Yes  [Yes | Light | No]
#ScaleToFrame

XTitle        Title="cos(x)" Height=1.00
XAxis Show=Yes     Scale=Formula Formula="cos(x)"    Min=0.01894    Max=0.9977  Delta=-1  Color=Black  Thickness=1
XLabel        LabelStep=-1   Reference=-1   LabelHeight=1.00   CFormat=""  Angle=0.0
YTitle        Title="" Height=1.00
YAxis Show=Yes     Scale=Formula Formula="cos(y)"    Min=-2.939    Max=3.125  Delta=-1  Color=Black  Thickness=1
YLabel        LabelStep=-1    Reference=-1   LabelHeight=1.00   CFormat=""  Angle=0.0

Fit     Function=Smooth     Curve=-1  Min=.1 Max=2.5 WindowSize=10    [Mode=Add|Replace|Merge] Variable=Y

LineStyle     Curve=1   Style=NoLine          Color=Red          Thickness=1
MarkStyle     Curve=1   Style=BigDot          Size=3
LineStyle     Curve=2   Style=Solid           Color=Blue         Thickness=6
MarkStyle     Curve=2   Style=NoMark          Size=3

DrawCell     XStart=10.0  YStart=19.5   Width=10.0   Height=6.0\
Type=Color   Orientation=Portrait  Mode=Margin[|ScaleToFrame]

#############################################################



SendTo[EPS]File   File="OUT/SMOOTH2.ps"  Type=Color  Size=15.0000 SquareFrame=No  Copies=1 Orientation=Portrait
#SendToPrinter  Command="/usr/LOA/bin/vidpsTEK"  Type=Color  Size=15.0000 SquareFrame=No  Copies=1 Orientation=Portrait

DataBlock DATA <<
0.0122328 0.0202604 0.030582 0.0330843 0.0366983 0.0703688 0.0428147 0.0904853 0.0489311 0.0619995
0.0550475 0.0406623 0.0611639 0.0774364 0.0672803 0.0529088 0.0733967 0.0240205 0.0795131 0.0910858
0.0856295 0.0459073 0.0917459 0.125156 0.0978623 0.0603164 0.103979 0.147507 0.110095 0.0815533
0.122328 0.085854 0.128444 0.174954 0.134561 0.144338 0.140677 0.103016 0.146793 0.165681
0.15291 0.136651 0.159026 0.142522 0.171259 0.213633 0.177375 0.149192 0.183492 0.157892
0.189608 0.15876 0.195725 0.191445 0.201841 0.244507 0.207957 0.191125 0.214074 0.176773
0.22019 0.219747 0.226306 0.193137 0.232423 0.20183 0.238539 0.237621 0.244656 0.23146
0.250772 0.20342 0.256888 0.289393 0.263005 0.217802 0.269121 0.274776 0.275238 0.294792
0.281354 0.230553 0.28747 0.307226 0.293587 0.272945 0.299703 0.257325 0.30582 0.337351
0.311936 0.316489 0.318052 0.337359 0.324169 0.323195 0.330285 0.313651 0.336401 0.335157
0.342518 0.337098 0.348634 0.390632 0.354751 0.338484 0.360867 0.306608 0.366983 0.378054
0.3731 0.391102 0.379216 0.35422 0.385333 0.335145 0.391449 0.394729 0.397565 0.340236
0.403682 0.387794 0.409798 0.390936 0.415915 0.407871 0.422031 0.363185 0.428147 0.383015
0.434264 0.428423 0.44038 0.451044 0.446496 0.435014 0.452613 0.472192 0.458729 0.483849
0.464846 0.419279 0.470962 0.426749 0.477078 0.465078 0.483195 0.467515 0.489311 0.442904
0.495428 0.49774 0.501544 0.483382 0.50766 0.51637 0.513777 0.539718 0.519893 0.524908
0.52601 0.518876 0.532126 0.522596 0.538242 0.54859 0.544359 0.509555 0.550475 0.543266
0.556592 0.503781 0.562708 0.497621 0.568824 0.552316 0.574941 0.547961 0.581057 0.530321
0.587174 0.510059 0.59329 0.536919 0.599406 0.541826 0.605523 0.575679 0.611639 0.600937
0.617755 0.613353 0.623872 0.585093 0.629988 0.605125 0.636105 0.56774 0.642221 0.62106
0.648337 0.587515 0.654454 0.568559 0.66057 0.62812 0.666687 0.642832 0.672803 0.648894
0.678919 0.613085 0.685036 0.607772 0.691152 0.629934 0.697268 0.670147 0.703385 0.680903
0.709501 0.631678 0.715618 0.689213 0.721734 0.61297 0.72785 0.708222 0.733967 0.62177
0.740083 0.672675 0.7462 0.636293 0.752316 0.690736 0.758432 0.654169 0.764549 0.66029
0.770665 0.687581 0.776782 0.731349 0.782898 0.679114 0.789014 0.676542 0.795131 0.67717
0.801247 0.735735 0.807364 0.756726 0.81348 0.731411 0.819596 0.713741 0.825713 0.771386
0.831829 0.711688 0.837946 0.726389 0.844062 0.729026 0.850178 0.75577 0.856295 0.760054
0.862411 0.716164 0.868527 0.769908 0.874644 0.789192 0.88076 0.811167 0.886877 0.766598
0.892993 0.78604 0.899109 0.798022 0.905226 0.797977 0.911342 0.799594 0.917459 0.791082
0.923575 0.803898 0.929691 0.838761 0.935808 0.765544 0.941924 0.825707 0.94804 0.784528
0.954157 0.783426 0.960273 0.833898 0.96639 0.80047 0.972506 0.841729 0.978622 0.847511
0.984739 0.842551 0.990855 0.846726 0.996972 0.842286 1.00309 0.886979 1.0092 0.796628
1.01532 0.853622 1.02144 0.847337 1.02755 0.817018 1.03367 0.857335 1.03979 0.819398
1.0459 0.895812 1.05202 0.827847 1.05814 0.911415 1.06425 0.895058 1.07037 0.857624
1.07649 0.900751 1.0826 0.861966 1.08872 0.848518 1.09483 0.922226 1.10095 0.877418
1.10707 0.931131 1.11318 0.927438 1.1193 0.938082 1.12542 0.885764 1.13153 0.915321
1.13765 0.948759 1.14376 0.86883 1.14988 0.875259 1.156 0.883631 1.16211 0.893168
1.16823 0.881598 1.17435 0.96501 1.18046 0.96003 1.18658 0.932553 1.1927 0.933203
1.19881 0.95763 1.20493 0.979947 1.21105 0.968577 1.21716 0.969815 1.22328 0.922067
1.2294 0.961932 1.23551 0.910515 1.24163 0.905741 1.24774 0.898506 1.25386 0.984966
1.25998 0.970518 1.26609 0.996926 1.27221 0.928437 1.27833 0.912035 1.29056 0.97478
1.29667 0.963092 1.30279 0.95067 1.30891 0.975542 1.31502 0.956025 1.32114 0.953285
1.32726 0.99097 1.33337 0.972003 1.33949 0.994131 1.34561 0.973838 1.35784 0.951529
1.36396 0.987936 1.37007 0.985716 1.37619 0.995918 1.3823 0.946064 1.39454 0.988951
1.40065 0.944155 1.41289 0.992522 1.419 0.969544 1.43123 0.983644 1.43735 0.969513
1.44347 0.993414 1.44958 0.985108 1.46793 0.950552 1.47405 0.954718 1.50463 0.968345
1.5291 0.991454 1.53521 0.977856 1.54133 0.977799 1.5658 0.9682 1.57191 0.959121
1.58414 0.953943 1.59026 0.955707 1.60249 0.976049 1.60861 0.986151 1.62084 0.99376
1.62696 0.949549 1.63919 0.988471 1.64531 0.952138 1.65143 0.954167 1.65754 0.986897
1.66978 0.969939 1.68201 0.98472 1.68812 0.997686 1.69424 0.980924 1.73705 0.940319
1.74317 0.972724 1.76152 0.975588 1.77375 0.949236 1.77987 0.994211 1.78599 0.987222
1.7921 0.926476 1.79822 0.99354 1.80433 0.938463 1.81045 0.985158 1.81657 0.92689
1.82268 0.948581 1.8288 0.929435 1.84103 0.918426 1.84715 0.952113 1.85327 0.979559
1.85938 0.926009 1.8655 0.979702 1.87162 0.94045 1.87773 0.919613 1.88385 0.905256
1.88997 0.985336 1.89608 0.917534 1.9022 0.919504 1.90831 0.95112 1.91443 0.892416
1.92055 0.950739 1.92666 0.925615 1.93278 0.969159 1.9389 0.970183 1.94501 0.971571
1.95113 0.930395 1.95724 0.975591 1.96336 0.913422 1.96948 0.909365 1.97559 0.939823
1.98171 0.867397 1.98783 0.930369 1.99394 0.936132 2.00006 0.954305 2.00618 0.861416
2.01229 0.945562 2.01841 0.95065 2.02452 0.92871 2.03064 0.855481 2.03676 0.908422
2.04288 0.879927 2.04899 0.927121 2.05511 0.914759 2.06122 0.848093 2.06734 0.926222
2.07346 0.837916 2.07957 0.836403 2.08569 0.865198 2.09181 0.837609 2.09792 0.864878
2.10404 0.895687 2.11016 0.901147 2.11627 0.830404 2.12239 0.859833 2.1285 0.826643
2.13462 0.875585 2.14074 0.841394 2.14685 0.812586 2.15297 0.840469 2.15909 0.832665
2.1652 0.838108 2.17132 0.86367 2.17743 0.834693 2.18355 0.786701 2.18967 0.765221
2.19578 0.855556 2.2019 0.796327 2.20802 0.807874 2.21413 0.755207 2.22025 0.788029
2.22637 0.752067 2.23248 0.838603 2.2386 0.781386 2.24471 0.793219 2.25083 0.768701
2.25695 0.781211 2.26307 0.781453 2.26918 0.796018 2.2753 0.756828 2.28141 0.747487
2.28753 0.729679 2.29365 0.775472 2.29976 0.781025 2.30588 0.710803 2.312 0.78584
2.31811 0.692772 2.32423 0.729585 2.33034 0.751397 2.33646 0.699033 2.34258 0.701485
2.34869 0.746966 2.35481 0.735416 2.36093 0.694517 2.36704 0.705591 2.37316 0.682022
2.37928 0.718415 2.38539 0.721657 2.39151 0.681055 2.39762 0.655222 2.40374 0.713877
2.40986 0.691161 2.41597 0.626465 2.42209 0.697913 2.42821 0.617373 2.43432 0.679673
2.44044 0.65841 2.44656 0.666776 2.45267 0.627069 2.45879 0.629882 2.46491 0.617191
2.47102 0.586625 2.47714 0.651069 2.48325 0.624271 2.48937 0.598545 2.49549 0.624645
2.5016 0.642367 2.50772 0.560608 2.51384 0.576925 2.51995 0.549157 2.52607 0.551929
2.53219 0.607338 2.5383 0.536051 2.54442 0.576165 2.55053 0.540575 2.55665 0.566968
2.56277 0.572278 2.56888 0.556628 2.575 0.540262 2.58112 0.525597 2.58723 0.486449
2.59335 0.507752 2.59947 0.505413 2.60558 0.51669 2.6117 0.52988 2.61782 0.541311
2.62393 0.444922 2.63005 0.477252 2.63616 0.520009 2.64228 0.492165 2.6484 0.475434
2.65451 0.424493 2.66063 0.491468 2.66675 0.50014 2.67286 0.486536 2.67898 0.431134
2.6851 0.398077 2.69121 0.448274 2.69733 0.458501 2.70344 0.427475 2.70956 0.431462
2.71568 0.410726 2.72179 0.423186 2.72791 0.408333 2.73403 0.371908 2.74014 0.413314
2.74626 0.408727 2.75238 0.372999 2.75849 0.33704 2.76461 0.359889 2.77073 0.358632
2.77684 0.37633 2.78296 0.344 2.78907 0.327667 2.79519 0.36594 2.80131 0.319084
2.80742 0.350717 2.81354 0.284636 2.81966 0.313006 2.82577 0.355661 2.83189 0.291899
2.83801 0.332126 2.84412 0.257624 2.85024 0.247312 2.85635 0.275412 2.86247 0.225723
2.86859 0.256011 2.8747 0.239038 2.88082 0.25456 2.88694 0.277642 2.89305 0.26338
2.89917 0.288194 2.90529 0.242053 2.9114 0.193627 2.91752 0.202628 2.92364 0.223 
2.92975 0.181142 2.93587 0.247606 2.94198 0.241871 2.9481 0.159066 2.95422 0.139632
2.96033 0.147094 2.96645 0.171321 2.97257 0.152041 2.97868 0.142362 2.9848 0.192614
2.99092 0.120281 2.99703 0.114502 3.00315 0.107788 3.00926 0.0841312 3.01538 0.104735
3.0215 0.0752668 3.02761 0.104301 3.03373 0.077726 3.03985 0.146273 3.04596 0.109173
3.05208 0.091886 3.0582 0.0455417 3.06431 0.0529006 3.07043 0.115523 3.07655 0.0647536
3.08266 0.042233 3.08878 0.102425 3.09489 0.073256 3.10101 0.0605961 3.10713 0.0309269
3.11324 0.0189448 3.11936 0.0510365 3.12548 0.0520381
>>
