#Command file for Mgraph to generate PostScript plots

#The sign # comments the line
#Square brackets ([...]) indicate that the enclosed element is optional
#Quotes ("...") are used around literal characters
#The sign \ joins the line with the next line
#Set up and uncomment the ReadFile and the SendToFile/SendToPrinter lines
#Mgraph -help  provides a description of the command file

#Color  options: Red Blue Magenta Black Green Forest Sienna Yellow
#               Coral Violet Plum Cyan Turquoise Whitel
#Line   options: Solid NoLine MicroDash  SmallDash Dash LongDash Dashdot LineDot
#Marker options: NoMark  BigDot SmallDot Cross X
#                Square  Diamond  TriangleUp  TriangleDown  Circle
#               FSquare FDiamond FTriangleUp FTriangleDown FCircle


#Verbose

WindowSize Width=580 Height=518
#SetPaper   [A4 | A3 | B5 | USLETTER | USLEGAL]
#LineJoin   [Round|Sharp]
SetSignature	"L.O.A. Computer Team "
AddLogo     XStart=1.000 YStart=2.700 XScale=0.140 YScale=0.140




#############  SPLINE TEST LINEAR/LINEAR ####################

ReadFile     File="DataBlock DATA" Mode=Cartesian  Style=ScatterPlot  \
	NColumns=2  XColumn=1  YColumn=0  NLines=0  LinesToSkip=0 UndefValue=3.40282e+38

PlotTitle     Title="Spline test linear/linear" Height=0.00
Grid          Frame=Yes   Xgrid=Yes      Ygrid=Yes  [Yes | Light | No] 
#ScaleToFrame

Fit     Function=Spline     Curve=-1  Min=1 Max=2.5  Npoints=100 Step=0   [Mode=Add|Replace|Merge] Variable=X

LineStyle     Curve=1   Style=NoLine          Color=Red          Thickness=1
MarkStyle     Curve=1   Style=BigDot          Size=3
LineStyle     Curve=2   Style=Solid           Color=Blue         Thickness=6
MarkStyle     Curve=2   Style=NoMark          Size=3

XTitle        Title="X" Height=0.00
XAxis Show=Yes     Scale=Linear    Min=0.00611639    Max=3.13159  Delta=-1  Color=Black  Thickness=1  
XLabel        LabelStep=-1   Reference=-1   LabelHeight=0.00   CFormat=""  Angle=0.0
YTitle        Title="Y" Height=0.00
YAxis Show=Yes     Scale=Linear    Min=0.00611635    Max=0.999999    Delta=-1  Color=Black  Thickness=1  
YLabel        LabelStep=-1    Reference=-1   LabelHeight=0.00   CFormat=""  Angle=0.0

DrawCell     XStart=1.   YStart=3.5   Width=10.0   Height=6.0\
Type=Color   Orientation=Portrait  Mode=Margin[|ScaleToFrame]




############  SPLINE TEST LINEAR/LINEAR INVERS ##############

ReadFile     File="DataBlock DATA" Mode=Cartesian  Style=ScatterPlot  \
	NColumns=2  XColumn=2  YColumn=1  NLines=0  LinesToSkip=0 UndefValue=3.40282e+38

PlotTitle     Title="Spline test linear/linear" Height=0.00
Grid          Frame=Yes   Xgrid=Yes      Ygrid=Yes  [Yes | Light | No] 
#ScaleToFrame

Fit     Function=Spline     Curve=-1  Min=1 Max=2.5  Npoints=100 Step=0   [Mode=Add|Replace|Merge] Variable=Y

LineStyle     Curve=1   Style=NoLine          Color=Red          Thickness=1
MarkStyle     Curve=1   Style=BigDot          Size=3
LineStyle     Curve=2   Style=Solid           Color=Blue         Thickness=6
MarkStyle     Curve=2   Style=NoMark          Size=3

XTitle        Title="X" Height=0.00
XAxis Show=Yes     Scale=Linear    Min=0.00611635    Max=0.999999    Delta=-1  Color=Black  Thickness=1  
XLabel        LabelStep=-1   Reference=-1   LabelHeight=0.00   CFormat=""  Angle=0.0
YTitle        Title="" Height=0.00
YAxis Show=Yes     Scale=Linear    Min=0.00611639    Max=3.13159  Delta=-1  Color=Black  Thickness=1  
YLabel        LabelStep=-1    Reference=-1   LabelHeight=0.00   CFormat=""  Angle=0.0

DrawCell     XStart=10.   YStart=3.5   Width=10.0   Height=6.0\
Type=Color   Orientation=Portrait  Mode=Margin[|ScaleToFrame]




############  SPLINE TEST LINEAR/lOGARITHM  ###################

ReadFile     File="DataBlock DATA" Mode=Cartesian  Style=ScatterPlot  \
	NColumns=2  XColumn=1  YColumn=0  NLines=0  LinesToSkip=0 UndefValue=3.40282e+38

PlotTitle     Title="Spline test Linear/Logarithm" Height=0.00
Grid          Frame=Yes   Xgrid=Yes      Ygrid=Yes  [Yes | Light | No]
#ScaleToFrame

XTitle        Title="X" Height=1.00
XAxis Show=Yes     Scale=Logarithm    Min=0.006116    Max=3.132  Delta=-1  Color=Black  Thickness=1
XLabel        LabelStep=-1   Reference=-1   LabelHeight=1.00   CFormat=""  Angle=0.0
YTitle        Title="Y" Height=0.00
YAxis Show=Yes     Scale=Linear    Min=0.00611635    Max=0.999999    Delta=-1  Color=Black  Thickness=1
YLabel        LabelStep=-1    Reference=-1   LabelHeight=0.00   CFormat=""  Angle=0.0

Fit     Function=Spline     Curve=-1  Min=.1 Max=2.5  Npoints=100 Step=0   [Mode=Add|Replace|Merge] Variable=X

LineStyle     Curve=1   Style=NoLine          Color=Red          Thickness=1
MarkStyle     Curve=1   Style=BigDot          Size=3
LineStyle     Curve=2   Style=Solid           Color=Blue         Thickness=6
MarkStyle     Curve=2   Style=NoMark          Size=3

DrawCell     XStart=1.   YStart=11.5   Width=10.0   Height=6.0\
Type=Color   Orientation=Portrait  Mode=Margin[|ScaleToFrame]





############  SPLINE TEST LINEAR/lOGARITHM  INVERS ###################

ReadFile     File="DataBlock DATA" Mode=Cartesian  Style=ScatterPlot  \
	NColumns=2  XColumn=2  YColumn=1  NLines=0  LinesToSkip=0 UndefValue=3.40282e+38

PlotTitle     Title="Spline test Logarithm/Linear" Height=0.00
Grid          Frame=Yes   Xgrid=Yes      Ygrid=Yes  [Yes | Light | No]
#ScaleToFrame

XTitle        Title="X" Height=1.00
XAxis Show=Yes     Scale=Linear    Min=0.00611635    Max=0.999999    Delta=-1  Color=Black  Thickness=1
XLabel        LabelStep=-1   Reference=-1   LabelHeight=1.00   CFormat=""  Angle=0.0
YTitle        Title="" Height=0.00
YAxis Show=Yes     Scale=Logarithm    Min=0.006116    Max=3.132  Delta=-1  Color=Black  Thickness=1
YLabel        LabelStep=-1    Reference=-1   LabelHeight=0.00   CFormat=""  Angle=0.0

Fit     Function=Spline     Curve=-1  Min=.1 Max=2.5  Npoints=100 Step=0   [Mode=Add|Replace|Merge] Variable=Y

LineStyle     Curve=1   Style=NoLine          Color=Red          Thickness=1
MarkStyle     Curve=1   Style=BigDot          Size=3
LineStyle     Curve=2   Style=Solid           Color=Blue         Thickness=6
MarkStyle     Curve=2   Style=NoMark          Size=3

DrawCell     XStart=10.0  YStart=11.5   Width=10.0   Height=6.0\
Type=Color   Orientation=Portrait  Mode=Margin[|ScaleToFrame]

###############################################################




############ SPLINE TEST lOGARITHM/LOGARITHM ###################

ReadFile     File="DataBlock DATA" Mode=Cartesian  Style=ScatterPlot  \
	NColumns=2  XColumn=1  YColumn=0  NLines=0  LinesToSkip=0 UndefValue=3.40282e+38

PlotTitle     Title="Spline test Logarithm/Logarithm" Height=0.00
Grid          Frame=Yes   Xgrid=Yes      Ygrid=Yes  [Yes | Light | No]
#ScaleToFrame

XTitle        Title="X" Height=1.00
XAxis Show=Yes     Scale=Logarithm    Min=0.006116    Max=3.132  Delta=-1  Color=Black  Thickness=1
XLabel        LabelStep=-1   Reference=-1   LabelHeight=1.00   CFormat=""  Angle=0.0
YTitle        Title="Y" Height=1.00
YAxis Show=Yes     Scale=Logarithm    Min=0.006116    Max=1    Delta=-1  Color=Black  Thickness=1
YLabel        LabelStep=-1    Reference=-1   LabelHeight=1.00   CFormat=""  Angle=0.0

Fit     Function=Spline     Curve=-1  Min=.01 Max=2.5  Npoints=100 Step=0   [Mode=Add|Replace|Merge] Variable=X

LineStyle     Curve=1   Style=NoLine          Color=Red          Thickness=1
MarkStyle     Curve=1   Style=BigDot          Size=3
LineStyle     Curve=2   Style=Solid           Color=Blue         Thickness=6
MarkStyle     Curve=2   Style=NoMark          Size=3

DrawCell     XStart=1.   YStart=19.5   Width=10.0   Height=6.0\
Type=Color   Orientation=Portrait  Mode=Margin[|ScaleToFrame]

#############################################################





############ SPLINE TEST lOGARITHM/LOGARITHM INVERS ###################

ReadFile     File="DataBlock DATA" Mode=Cartesian  Style=ScatterPlot  \
	NColumns=2  XColumn=2  YColumn=1  NLines=0  LinesToSkip=0 UndefValue=3.40282e+38

PlotTitle     Title="Spline test Logarithm/Logarithm" Height=0.00
Grid          Frame=Yes   Xgrid=Yes      Ygrid=Yes  [Yes | Light | No]
#ScaleToFrame

XTitle        Title="X" Height=1.00
XAxis Show=Yes     Scale=Logarithm    Min=0.006116    Max=1    Delta=-1  Color=Black  Thickness=1
XLabel        LabelStep=-1   Reference=-1   LabelHeight=1.00   CFormat=""  Angle=0.0
YTitle        Title="" Height=1.00
YAxis Show=Yes     Scale=Logarithm    Min=0.006116    Max=3.132  Delta=-1  Color=Black  Thickness=1
YLabel        LabelStep=-1    Reference=-1   LabelHeight=1.00   CFormat=""  Angle=0.0

Fit     Function=Spline     Curve=-1  Min=.01 Max=2.5  Npoints=100 Step=0   [Mode=Add|Replace|Merge] Variable=Y

LineStyle     Curve=1   Style=NoLine          Color=Red          Thickness=1
MarkStyle     Curve=1   Style=BigDot          Size=3
LineStyle     Curve=2   Style=Solid           Color=Blue         Thickness=6
MarkStyle     Curve=2   Style=NoMark          Size=3

DrawCell     XStart=10.0  YStart=19.5   Width=10.0   Height=6.0\
Type=Color   Orientation=Portrait  Mode=Margin[|ScaleToFrame]

#############################################################

PageText    XStart=5.0  YStart=3.0   Color=Red  Style=Plain  Height=0.6000  Angle=0.00 Text="VARIABLE=X"
PageText    XStart=14.0  YStart=3.  Color=Red  Style=Plain  Height=0.6000  Angle=0.00 Text="VARIABLE=Y"

SendTo[EPS]File   File="OUT/SPLINE.ps"  Type=Color  Size=15.0000 SquareFrame=No  Copies=1 Orientation=Portrait
#SendToPrinter  Command="/usr/LOA/bin/vidpsTEK"  Type=Color  Size=15.0000 SquareFrame=No  Copies=1 Orientation=Portrait


DataBlock DATA <<
0.00611639 0.00611635 0.0122328 0.0122325 0.0183492 0.0183481 0.0244656 0.0244631 0.030582 0.0305772 0.0366983 0.0366901
0.0428147 0.0428017 0.0489311 0.0489116 0.0550475 0.0550197 0.0611639 0.0611258 0.0672803 0.0672296 0.0733967 0.0733308
0.0795131 0.0794293 0.0856295 0.0855249 0.0917459 0.0916172 0.0978623 0.0977061 0.103979 0.103791 0.110095 0.109873
0.122328 0.122023 0.128444 0.128091 0.134561 0.134155 0.140677 0.140213 0.146793 0.146267 0.15291 0.152315 0.159026 0.158357
0.171259 0.170423 0.177375 0.176447 0.183492 0.182464 0.189608 0.188474 0.195725 0.194477 0.201841 0.200473 0.207957 0.206462
0.214074 0.212442 0.22019 0.218415 0.226306 0.22438 0.232423 0.230336 0.238539 0.236283 0.244656 0.242222 0.250772 0.248152
0.256888 0.254072 0.263005 0.259983 0.269121 0.265884 0.275238 0.271776 0.281354 0.277657 0.28747 0.283527 0.293587 0.289387
0.299703 0.295237 0.30582 0.301075 0.311936 0.306902 0.318052 0.312717 0.324169 0.318521 0.330285 0.324313 0.336401 0.330092
0.342518 0.33586 0.348634 0.341615 0.354751 0.347357 0.360867 0.353086 0.366983 0.358801 0.3731 0.364504 0.379216 0.370192
0.385333 0.375867 0.391449 0.381528 0.397565 0.387175 0.403682 0.392807 0.409798 0.398424 0.415915 0.404027 0.422031 0.409614
0.428147 0.415186 0.434264 0.420743 0.44038 0.426283 0.446496 0.431808 0.452613 0.437317 0.458729 0.442809 0.464846 0.448285
0.470962 0.453744 0.477078 0.459186 0.483195 0.464611 0.489311 0.470018 0.495428 0.475408 0.501544 0.48078 0.50766 0.486134
0.513777 0.49147 0.519893 0.496787 0.52601 0.502086 0.532126 0.507366 0.538242 0.512628 0.544359 0.51787 0.550475 0.523092
0.556592 0.528295 0.562708 0.533479 0.568824 0.538642 0.574941 0.543785 0.581057 0.548908 0.587174 0.55401 0.59329 0.559092
0.599406 0.564152 0.605523 0.569192 0.611639 0.57421 0.617755 0.579207 0.623872 0.584182 0.629988 0.589135 0.636105 0.594067
0.642221 0.598975 0.648337 0.603862 0.654454 0.608726 0.66057 0.613567 0.666687 0.618385 0.672803 0.623181 0.678919 0.627952
0.685036 0.632701 0.691152 0.637425 0.697268 0.642126 0.703385 0.646803 0.709501 0.651456 0.715618 0.656084 0.721734 0.660687
0.72785 0.665266 0.733967 0.66982 0.740083 0.674349 0.7462 0.678853 0.752316 0.683331 0.758432 0.687784 0.764549 0.692211
0.770665 0.696613 0.776782 0.700988 0.782898 0.705337 0.789014 0.709659 0.795131 0.713955 0.801247 0.718225 0.807364 0.722467
0.81348 0.726682 0.819596 0.73087 0.825713 0.735031 0.831829 0.739165 0.837946 0.74327 0.844062 0.747348 0.850178 0.751398
0.856295 0.75542 0.862411 0.759413 0.868527 0.763379 0.874644 0.767315 0.88076 0.771223 0.886877 0.775102 0.892993 0.778952
0.899109 0.782773 0.905226 0.786565 0.911342 0.790327 0.917459 0.794059 0.923575 0.797762 0.929691 0.801435 0.935808 0.805079
0.941924 0.808691 0.94804 0.812274 0.954157 0.815826 0.960273 0.819348 0.96639 0.822839 0.972506 0.8263 0.978622 0.829729
0.984739 0.833128 0.990855 0.836495 0.996972 0.839831 1.00309 0.843135 1.0092 0.846408 1.01532 0.84965 1.02144 0.852859
1.02755 0.856037 1.03367 0.859183 1.03979 0.862296 1.0459 0.865377 1.05202 0.868426 1.05814 0.871443 1.06425 0.874426
1.07037 0.877377 1.07649 0.880296 1.0826 0.883181 1.08872 0.886033 1.09483 0.888852 1.10095 0.891638 1.10707 0.894391
1.11318 0.89711 1.1193 0.899795 1.12542 0.902447 1.13153 0.905065 1.13765 0.907649 1.14376 0.910199 1.14988 0.912716
1.156 0.915198 1.16211 0.917645 1.16823 0.920059 1.17435 0.922438 1.18046 0.924783 1.18658 0.927092 1.1927 0.929368
1.19881 0.931608 1.20493 0.933814 1.21105 0.935985 1.21716 0.93812 1.22328 0.940221 1.2294 0.942286 1.23551 0.944316
1.24163 0.946311 1.24774 0.948271 1.25386 0.950195 1.25998 0.952083 1.26609 0.953936 1.27221 0.955753 1.27833 0.957534
1.28444 0.95928 1.29056 0.96099 1.29667 0.962663 1.30279 0.964301 1.30891 0.965903 1.31502 0.967468 1.32114 0.968997
1.32726 0.970491 1.33337 0.971947 1.33949 0.973368 1.34561 0.974752 1.35172 0.976099 1.35784 0.97741 1.36396 0.978684
1.37007 0.979922 1.37619 0.981124 1.3823 0.982288 1.38842 0.983416 1.39454 0.984506 1.40065 0.985561 1.40677 0.986578
1.41289 0.987558 1.419 0.988501 1.42512 0.989408 1.43123 0.990277 1.43735 0.991109 1.44347 0.991905 1.44958 0.992663
1.4557 0.993384 1.46182 0.994068 1.46793 0.994714 1.47405 0.995324 1.48017 0.995896 1.48628 0.996431 1.4924 0.996929
1.49852 0.997389 1.50463 0.997812 1.51075 0.998198 1.51687 0.998546 1.52298 0.998857 1.5291 0.999131 1.53521 0.999367
1.54133 0.999566 1.54745 0.999727 1.55356 0.999852 1.55968 0.999938 1.5658 0.999987 1.57191 0.999999 1.57803 0.999974
1.58414 0.999911 1.59026 0.999811 1.59638 0.999673 1.60249 0.999498 1.60861 0.999285 1.61473 0.999035 1.62084 0.998748
1.62696 0.998423 1.63308 0.998061 1.63919 0.997662 1.64531 0.997225 1.65143 0.996751 1.65754 0.99624 1.66366 0.995691
1.66978 0.995106 1.67589 0.994483 1.68201 0.993822 1.68812 0.993125 1.69424 0.992391 1.70036 0.991619 1.70647 0.99081
1.71259 0.989964 1.71871 0.989081 1.72482 0.988161 1.73094 0.987205 1.73705 0.986211 1.74317 0.98518 1.74929 0.984113
1.7554 0.983008 1.76152 0.981867 1.76764 0.980689 1.77375 0.979475 1.77987 0.978224 1.78599 0.976936 1.7921 0.975612
1.79822 0.974251 1.80433 0.972853 1.81045 0.97142 1.81657 0.96995 1.82268 0.968444 1.8288 0.966901 1.83492 0.965322
1.84103 0.963708 1.84715 0.962057 1.85327 0.96037 1.85938 0.958647 1.8655 0.956888 1.87162 0.955094 1.87773 0.953264
1.88385 0.951398 1.88997 0.949497 1.89608 0.94756 1.9022 0.945587 1.90831 0.94358 1.91443 0.941537 1.92055 0.939458
1.92666 0.937345 1.93278 0.935196 1.9389 0.933013 1.94501 0.930794 1.95113 0.928541 1.95724 0.926253 1.96336 0.923931
1.96948 0.921574 1.97559 0.919182 1.98171 0.916756 1.98783 0.914296 1.99394 0.911801 2.00006 0.909273 2.00618 0.90671
2.01229 0.904113 2.01841 0.901483 2.02452 0.898819 2.03064 0.896121 2.03676 0.89339 2.04288 0.890625 2.04899 0.887827
2.05511 0.884996 2.06122 0.882132 2.06734 0.879234 2.07346 0.876304 2.07957 0.873341 2.08569 0.870345 2.09181 0.867317
2.09792 0.864257 2.10404 0.861163 2.11016 0.858038 2.11627 0.854881 2.12239 0.851692 2.1285 0.848471 2.13462 0.845218
2.14074 0.841933 2.14685 0.838617 2.15297 0.83527 2.15909 0.831891 2.1652 0.828481 2.17132 0.825041 2.17743 0.821569
2.18355 0.818066 2.18967 0.814534 2.19578 0.81097 2.2019 0.807376 2.20802 0.803752 2.21413 0.800098 2.22025 0.796414
2.22637 0.792701 2.23248 0.788957 2.2386 0.785184 2.24471 0.781382 2.25083 0.77755 2.25695 0.77369 2.26307 0.7698
2.26918 0.765882 2.2753 0.761935 2.28141 0.757959 2.28753 0.753955 2.29365 0.749923 2.29976 0.745863 2.30588 0.741775
2.312 0.737659 2.31811 0.733516 2.32423 0.729345 2.33034 0.725147 2.33646 0.720922 2.34258 0.716669 2.34869 0.71239
2.35481 0.708085 2.36093 0.703753 2.36704 0.699394 2.37316 0.695009 2.37928 0.690599 2.38539 0.686162 2.39151 0.6817
2.39762 0.677212 2.40374 0.6727 2.40986 0.668161 2.41597 0.663598 2.42209 0.65901 2.42821 0.654397 2.43432 0.64976
2.44044 0.645099 2.44656 0.640413 2.45267 0.635704 2.45879 0.63097 2.46491 0.626214 2.47102 0.621433 2.47714 0.61663
2.48325 0.611803 2.48937 0.606954 2.49549 0.602081 2.5016 0.597186 2.50772 0.592269 2.51384 0.58733 2.51995 0.582369
2.52607 0.577386 2.53219 0.572381 2.5383 0.567355 2.54442 0.562308 2.55053 0.55724 2.55665 0.55215 2.56277 0.547041
2.56888 0.54191 2.575 0.53676 2.58112 0.531589 2.58723 0.526399 2.59335 0.521188 2.59947 0.515959 2.60558 0.51071
2.6117 0.505442 2.61782 0.500155 2.62393 0.494849 2.63005 0.489525 2.63616 0.484182 2.64228 0.478821 2.6484 0.473443
2.65451 0.468047 2.66063 0.462633 2.66675 0.457202 2.67286 0.451753 2.67898 0.446288 2.6851 0.440807 2.69121 0.435308
2.69733 0.429794 2.70344 0.424263 2.70956 0.418716 2.71568 0.413154 2.72179 0.407577 2.72791 0.401984 2.73403 0.396376
2.74014 0.390753 2.74626 0.385116 2.75238 0.379464 2.75849 0.373798 2.76461 0.368118 2.77073 0.362424 2.77684 0.356717
2.78296 0.350996 2.78907 0.345262 2.79519 0.339516 2.80131 0.333756 2.80742 0.327985 2.81354 0.3222 2.81966 0.316404
2.82577 0.310596 2.83189 0.304776 2.83801 0.298945 2.84412 0.293103 2.85024 0.28725 2.85635 0.281386 2.86247 0.275512
2.86859 0.269627 2.8747 0.263732 2.88082 0.257827 2.88694 0.251913 2.89305 0.245989 2.89917 0.240056 2.90529 0.234114
2.9114 0.228163 2.91752 0.222204 2.92364 0.216236 2.92975 0.210261 2.93587 0.204277 2.94198 0.198286 2.9481 0.192287
2.95422 0.186281 2.96033 0.180269 2.96645 0.174249 2.97257 0.168223 2.97868 0.162191 2.9848 0.156152 2.99092 0.150108
2.99703 0.144058 3.00315 0.138003 3.00926 0.131943 3.01538 0.125877 3.0215 0.119807 3.02761 0.113733 3.03373 0.107654
3.03985 0.101571 3.04596 0.0954844 3.05208 0.0893942 3.0582 0.0833007 3.06431 0.077204 3.07043 0.0711045 3.07655 0.0650023
3.08266 0.0588976 3.08878 0.0527908 3.09489 0.046682 3.10101 0.0405714 3.10713 0.0344594 3.11324 0.028346
3.11936 0.0222316 3.12548 0.0161163 3.13159 0.0100005
>>
