#Command file for Mgraph to generate PostScript plots

#The sign # comments the line
#Square brackets ([...]) indicate that the enclosed element is optional
#Quotes ("...") are used around literal characters
#The sign \ joins the line with the next line
#Set up and uncomment the ReadFile and the SendToFile/SendToPrinter lines
#Mgraph -help  provides a description of the command file

#Color  options: Red Blue Magenta Black Green Forest Sienna Yellow
#               Coral Violet Plum Cyan Turquoise Whitel
#Line   options: Solid NoLine MicroDash  SmallDash Dash LongDash Dashdot LineDot
#Marker options: NoMark  BigDot SmallDot Cross X
#                Square  Diamond  TriangleUp  TriangleDown  Circle
#               FSquare FDiamond FTriangleUp FTriangleDown FCircle


#Verbose

WindowSize Width=600 Height=900
#SetPaper   [A4 | A3 | B5 | USLETTER | USLEGAL]
#LineJoin   [Round|Sharp]
#AddLogo    XStart=0.000 YStart=0.000 XScale=0.000 YScale=0.000


#############################################################

ReadFile File="DATA/Lille_pgjl1501_epaisoptiq.gz" Style=ErrorBarsY NColumns=9  XColumn=1 YColumn=3 ErrorColumn=7 
ReadFile File="DATA/Lille_pgjl1501_epaisoptiq.gz" Style=ErrorBarsY NColumns=9  XColumn=1 YColumn=4 ErrorColumn=7
ReadFile File="DATA/Lille_pgjl1501_epaisoptiq.gz" Style=ErrorBarsY NColumns=9  XColumn=1 YColumn=5 ErrorColumn=7
ReadFile File="DATA/Lille_pyde1501_epaisoptiq.gz" Style=ScatterPlot NColumns=0  XColumn=1 YColumn=3 
ReadFile File="DATA/Lille_n71.1501_epaisoptiq.gz" Style=ScatterPlot NColumns=0  XColumn=1 YColumn=2 
ReadFile File="DATA/Lille_pyde1501_epaisoptiq.gz" Style=ScatterPlot NColumns=0  XColumn=1 YColumn=4 
ReadFile File="DATA/Lille_pyde1501_epaisoptiq.gz" Style=ScatterPlot NColumns=9  XColumn=1 YColumn=5 
ReadFile File="DATA/Lille_n71.1501_epaisoptiq.gz" Style=ScatterPlot NColumns=0  XColumn=1 YColumn=2 
ReadFile File="DATA/Lille_n71.1501_epaisoptiq.gz" Style=ScatterPlot NColumns=7  XColumn=1 YColumn=3 
ReadFile File="DATA/Lille_n71.1501_epaisoptiq.gz" Style=ScatterPlot NColumns=7  XColumn=1 YColumn=4 

PlotTitle     Title="Aerosol Optical thickness \n Variation on 01/15/97" Height=1.00
Grid          Frame=Yes   Xgrid=No       Ygrid=No  [Yes | Light | No] 
#ScaleToFrame
LineStyle     Curve=1   Style=Solid           Color=Red          Thickness=1
MarkStyle     Curve=1   Style=Circle          Size=4
LineStyle     Curve=2   Style=LineDot         Color=Black        Thickness=1
LineStyle     Curve=3   Style=Solid           Color=Blue         Thickness=1
MarkStyle     Curve=3   Style=Circle          Size=4
LineStyle     Curve=4   Style=LineDot         Color=Black        Thickness=1
LineStyle     Curve=5   Style=Solid           Color=Forest       Thickness=1
MarkStyle     Curve=5   Style=Circle          Size=4
LineStyle     Curve=6   Style=LineDot         Color=Black        Thickness=1
LineStyle     Curve=7   Style=NoLine          Color=Red          Thickness=1
MarkStyle     Curve=7   Style=BigDot          Size=5
LineStyle     Curve=8   Style=NoLine          Color=Blue         Thickness=1
MarkStyle     Curve=8   Style=BigDot          Size=3
LineStyle     Curve=9   Style=NoLine          Color=Forest       Thickness=1
MarkStyle     Curve=9   Style=BigDot          Size=5
LineStyle     Curve=10   Style=NoLine          Color=Red          Thickness=1
MarkStyle     Curve=10   Style=X               Size=5
LineStyle     Curve=11   Style=NoLine          Color=Blue         Thickness=1
MarkStyle     Curve=11   Style=X               Size=5
LineStyle     Curve=12   Style=NoLine          Color=Forest       Thickness=1
MarkStyle     Curve=12   Style=X               Size=5
LineStyle     Curve=13   Style=NoLine          Color=Turquoise    Thickness=1
MarkStyle     Curve=13   Style=BigDot          Size=3

XTitle        Title="G.M.T." Height=1.50
XAxis         Scale=Linear    Min=8.00949    Max=15.8955  Delta=-1  
XLabel        LabelStep=-1   Reference=-1   LabelHeight=1.00   CFormat=""
YTitle        Title="Multispectral Aerosol Optical Thickness" Height=1.50
YAxis         Scale=Linear    Min=0.0511796    Max=0.334132    Delta=-1   
YLabel        LabelStep=-1    Reference=-1   LabelHeight=1.00   CFormat=""


#   ********  Annotations ********  
PlotLine     XStart=50.10%  YStart=6.10%  XEnd=59.70% YEnd=6.10%   Color=Red   Style=Solid  Thickness=1
PlotMark     XStart=54.90%  YStart=6.10%   Color==Red   Style=Circle  Size=4
PlotText     XStart=61.20%  YStart=4.57%   Color=Black Style=Plain  Height=1.00 Angle=0.00  Text="Error bars, 445 nm, pgjl"
PlotLine     XStart=50.10%  YStart=8.30%  XEnd=59.70% YEnd=8.30%   Color=Black   Style=LineDot  Thickness=1
PlotText     XStart=61.20%  YStart=6.77%   Color=Black Style=Plain  Height=1.00 Angle=0.00  Text="aot 445 nm pgjl "
PlotLine     XStart=50.10%  YStart=10.50%  XEnd=59.70% YEnd=10.50%   Color=Blue   Style=Solid  Thickness=1
PlotMark     XStart=54.90%  YStart=10.50%   Color==Blue   Style=Circle  Size=4
PlotText     XStart=61.20%  YStart=8.97%   Color=Black Style=Plain  Height=1.00 Angle=0.00  Text="error bars, 665 nm, pgjl"
PlotLine     XStart=50.10%  YStart=12.70%  XEnd=59.70% YEnd=12.70%   Color=Black   Style=LineDot  Thickness=1
PlotText     XStart=61.20%  YStart=11.17%   Color=Black Style=Plain  Height=1.00 Angle=0.00  Text="aot 865 nm, pgjl"
PlotLine     XStart=50.10%  YStart=14.90%  XEnd=59.70% YEnd=14.90%   Color=Forest   Style=Solid  Thickness=1
PlotMark     XStart=54.90%  YStart=14.90%   Color==Forest   Style=Circle  Size=4
PlotText     XStart=61.20%  YStart=13.37%   Color=Black Style=Plain  Height=1.00 Angle=0.00  Text="error bars, 865 nm, pgjl"
PlotLine     XStart=50.10%  YStart=17.10%  XEnd=59.70% YEnd=17.10%   Color=Black   Style=LineDot  Thickness=1
PlotText     XStart=61.20%  YStart=15.57%   Color=Black Style=Plain  Height=1.00 Angle=0.00  Text="aot 865 nm, pgjl"
PlotMark     XStart=54.90%  YStart=19.30%   Color==Red   Style=BigDot  Size=5
PlotText     XStart=61.20%  YStart=17.77%   Color=Black Style=Plain  Height=1.00 Angle=0.00  Text="445 nm pyde"
PlotMark     XStart=54.90%  YStart=23.70%   Color==Forest   Style=BigDot  Size=5
PlotText     XStart=61.20%  YStart=22.17%   Color=Black Style=Plain  Height=1.00 Angle=0.00  Text="865 nm , pyde"
PlotMark     XStart=54.90%  YStart=25.90%   Color==Red   Style=X  Size=5
PlotText     XStart=61.20%  YStart=24.37%   Color=Black Style=Plain  Height=1.00 Angle=0.00  Text="445 nm #71"
#   ********  Annotations: End ********  


SendToFile     File="OUT/angstrVar.ps"  
#SendToPrinter  Command="/usr/LOA/bin/vidpsINF"  Type=Black&White   Size=19.0000  Copies=1 Orientation=Portrait
