#Command file for Mgraph to generate PostScript plots

#The sign # comments the line
#Square brackets ([...]) indicate that the enclosed element is optional
#Quotes ("...") are used around literal characters
#The sign \ joins the line with the next line
#Set up and uncomment the ReadFile and the SendToFile/SendToPrinter lines
#Mgraph -help  provides a description of the command file

#Color  options: Red Blue Magenta Black Green Forest Sienna Yellow
#               Coral Violet Plum Cyan Turquoise Whitel
#Line   options: Solid NoLine MicroDash  SmallDash Dash LongDash Dashdot LineDot
#Marker options: NoMark  BigDot SmallDot Cross X
#                Square  Diamond  TriangleUp  TriangleDown  Circle
#               FSquare FDiamond FTriangleUp FTriangleDown FCircle


#Verbose

#WindowSize Width=580 Height=549
#SetPaper   [A4 | A3 | B5 | USLETTER | USLEGAL]
#LineJoin   [Round|Sharp]
AddLogo     XStart=1.000 YStart=2.200 XScale=0.140 YScale=0.140


#############################################################

ReadFile      File="DATA/cryst.data" 

PlotTitle     Title="COMPARISONS IN THE SOLAR PRINCIPAL PLANE " Height=0.70
Grid          Frame=Yes   Xgrid=No       Ygrid=No  [Yes | Light | No] 
ScaleToFrame
LineStyle     Curve=1   Style=Solid           Color=Blue         Thickness=4
LineStyle     Curve=2   Style=Solid           Color=Black        Thickness=4
LineStyle     Curve=3   Style=Solid           Color=Green        Thickness=4
LineStyle     Curve=4   Style=Solid           Color=Red          Thickness=4
LineStyle     Curve=5   Style=NoLine          Color=Magenta      Thickness=3
MarkStyle     Curve=5   Style=Fcircle         Size=3

XTitle        Title="Viewing angle" Height=1.20
XAxis         Scale=Linear    Min=-50    Max=50  Delta=5  
XLabel        LabelStep=2   Reference=-50   LabelHeight=1.00   CFormat="%.0f^o"
YTitle        Title="POLARIZED REFLECTANCE" Height=1.00
YAxis         Scale=Linear    Min=-0.04    Max=0.08    Delta=0.01   
YLabel        LabelStep=2    Reference=-0.04   LabelHeight=1.00   CFormat="%1.2f"


#   ********  Annotations ********  
PlotText     XStart=62.85%  YStart=3.55%   Color=Black Height=1.20 Text="Ice crystals arbitrarily\n  oriented in space\n     "
PlotText     XStart=21.01%  YStart=84.22%   Color=Black Height=1.20 Text="Q = L/2R\n     "
PlotText     XStart=5.25%  YStart=4.34%   Color=Black Height=1.20 Text="$l = 0.864 $mm\n\nR_{eff} = 50 $mm\n     "
PlotLine     XStart=46.34%  YStart=82.88%  XEnd=64.35% YEnd=82.88%   Color=Blue   Style=Solid  Thickness=4
PlotText     XStart=65.85%  YStart=81.50%   Color=Black Height=1.00 Text="Q = 1"
PlotLine     XStart=46.34%  YStart=86.07%  XEnd=64.35% YEnd=86.07%   Color=Black   Style=Solid  Thickness=4
PlotText     XStart=65.85%  YStart=84.69%   Color=Black Height=1.00 Text="Cylinders"
PlotLine     XStart=46.34%  YStart=89.27%  XEnd=64.35% YEnd=89.27%   Color=Green   Style=Solid  Thickness=4
PlotText     XStart=65.85%  YStart=87.89%   Color=Black Height=1.00 Text="Q = 20 - Columns"
PlotLine     XStart=46.34%  YStart=92.47%  XEnd=64.35% YEnd=92.47%   Color=Red   Style=Solid  Thickness=4
PlotText     XStart=65.85%  YStart=91.08%   Color=Black Height=1.00 Text="Q = 0.05 - Plates"
PlotMark     XStart=55.35%  YStart=95.66%   Color==Magenta   Style=Fcircle  Size=3
PlotText     XStart=65.85%  YStart=94.28%   Color=Black Height=1.00 Text="POLDER Measurements"
#   ********  Annotations: End ********  


SendToFile     File="OUT/cryst.ps"  Type=Color  
