#Command file for Mgraph to generate PostScript plots

#The sign # comments the line
#Square brackets ([...]) indicate that the enclosed element is optional
#Quotes ("...") are used around literal characters
#The sign \ joins the line with the next line
#Set up and uncomment the ReadFile and the SendToFile/SendToPrinter lines
#Mgraph -help  provides a description of the command file

#Color  options: Red Blue Magenta Black Green Forest Sienna Yellow
#               Coral Violet Plum Cyan Turquoise Whitel
#Line   options: Solid NoLine MicroDash  SmallDash Dash LongDash Dashdot LineDot
#Marker options: NoMark  BigDot SmallDot Cross X
#                Square  Diamond  TriangleUp  TriangleDown  Circle
#               FSquare FDiamond FTriangleUp FTriangleDown FCircle


#Verbose

#WindowSize Width=580 Height=549
#SetPaper   [A4 | A3 | B5 | USLETTER | USLEGAL]
#LineJoin   [Round|Sharp]
AddLogo     XStart=1.000 YStart=3.500 XScale=0.100 YScale=0.100


#############################################################

ReadFile      File="DATA/eucrex.data"

PlotTitle     Title="EUCREX MISSION 204 (April 17, 1994)" Height=0.70
Grid          Frame=Yes   Xgrid=No       Ygrid=No  [Yes | Light | No] 
ScaleToFrame
LineStyle     Curve=1   Style=Solid           Color=Red          Thickness=3
LineStyle     Curve=2   Style=Solid           Color=Blue         Thickness=6
LineStyle     Curve=3   Style=Solid           Color=Blue         Thickness=6
LineStyle     Curve=4   Style=Solid           Color=Blue         Thickness=6
LineStyle     Curve=5   Style=Solid           Color=Blue         Thickness=6
LineStyle     Curve=6   Style=Solid           Color=Blue         Thickness=6
LineStyle     Curve=7   Style=Solid           Color=Black        Thickness=5
LineStyle     Curve=8   Style=Solid           Color=Black        Thickness=5
LineStyle     Curve=9   Style=Solid           Color=Black        Thickness=5

XTitle        Title="LONGITUDE" Height=1.00
XAxis         Scale=Linear    Min=-6.5    Max=-1.5  Delta=0.25  
XLabel        LabelStep=4   Reference=-6.5   LabelHeight=1.00   CFormat="%1.1f^o"
YTitle        Title="LATITUDE" Height=1.00
YAxis         Scale=Linear    Min=47    Max=50    Delta=0.25   
YLabel        LabelStep=4    Reference=47   LabelHeight=1.00   CFormat="%2.0f^o"


#   ********  Annotations ********  
PlotText     XStart=84.43%  YStart=27.22%   Color=Black Style=Plain  Height=1.00 Angle=0.00  Text="Jersey"
PlotText     XStart=39.59%  YStart=3.55%   Color=Black Style=Plain  Height=1.00 Angle=0.00  Text="ENGLISH CHANNEL"
PlotText     XStart=63.79%  YStart=90.73%   Color=Black Style=Plain  Height=1.00 Angle=0.00  Text="Belle-Ile"
PlotBox      XStart=87.99%  YStart=87.57%  XEnd=89.12% YEnd=88.76%   Color=Black   Style=Solid  Thickness=1
PlotText     XStart=71.86%  YStart=61.14%   Color=Black Style=Plain  Height=1.20 Angle=0.00  Text="BRITTANY"
PlotText     XStart=42.03%  YStart=50.10%   Color=Black Style=Plain  Height=0.80 Angle=0.00  Text="Brest-Guipavas"
PlotText     XStart=48.78%  YStart=62.52%   Color=Black Style=Plain  Height=0.80 Angle=0.00  Text="Quimper"
PlotText     XStart=86.87%  YStart=84.22%   Color=Black Style=Plain  Height=0.80 Angle=0.00  Text="St Nazaire"
PlotText     XStart=9.01%  YStart=85.40%   Color=Black Style=Plain  Height=1.00 Angle=0.00  Text="ATLANTIC\n OCEAN\n \n"
PlotText     XStart=17.45%  YStart=50.69%   Color=Black Style=Plain  Height=1.00 Angle=0.00  Text="Ouessant"
PlotBox      XStart=48.59%  YStart=64.89%  XEnd=50.09% YEnd=66.07%   Color=Black   Style=Solid  Thickness=1
PlotBox      XStart=40.15%  YStart=52.86%  XEnd=42.03% YEnd=54.04%   Color=Black   Style=Solid  Thickness=1
PlotText     XStart=29.83%  YStart=53.65%   Color=Black Style=Plain  Height=1.00 Angle=0.00  Text="M"
PlotText     XStart=2.06%  YStart=35.31%   Color=Black Style=Plain  Height=1.00 Angle=0.00  Text="O"
#   ********  Annotations: End ********  

DrawCell   XStart=2.0000   YStart=14.0000   Width=16.0000   Height=14.0000

#############################################################

#   ********  Page annotations ********  
PageText    XStart=5.0000  YStart=3.5000   Color=Red  Style=Bold  Height=0.7000  \
	Text="EUCREX'94 :\n\nEuropean Cloud Radiation Experiment" 
PageText    XStart=6.0000  YStart=7.0000   Color=Black  Style=Plain  Height=0.7000  \
	Text="FALCON (above the cloud) :\n\n   - Microphysical measurements\n   - POLDER downward viewing\n   - Fluxes SW and LW" 
PageText    XStart=6.0000  YStart=11.5000   Color=Black  Style=Plain  Height=0.7000  \
	Text="ARAT (below the cloud):\n\n   - Lidar upward viewing\n   - Radiometer upward\n   - Fluxes SW and LW" 
#   ********  Page annotations: End ********  

SendToFile     File="OUT/eucrex.ps"  Type=Color  
