#Command file for Mgraph to generate PostScript plots

#The sign # comments the line
#Square brackets ([...]) indicate that the enclosed element is optional
#Quotes ("...") are used around literal characters
#The sign \ joins the line with the next line
#Set up and uncomment the ReadFile and the SendToFile/SendToPrinter lines
#Mgraph -help  provides a description of the command file

#Color  options: Red Blue Magenta Black Green Forest Sienna Yellow
#               Coral Violet Plum Cyan Turquoise Whitel
#Line   options: Solid NoLine MicroDash  SmallDash Dash LongDash Dashdot LineDot
#Marker options: NoMark  BigDot SmallDot Cross X
#                Square  Diamond  TriangleUp  TriangleDown  Circle
#               FSquare FDiamond FTriangleUp FTriangleDown FCircle


#Verbose

#WindowSize Width=580 Height=549
#SetPaper   [A4 | A3 | B5 | USLETTER | USLEGAL]
#LineJoin   [Round|Sharp]
AddLogo     XStart=1.000 YStart=3.000 XScale=0.140 YScale=0.140


#######################  FIRST CELL  ########################

ReadFile      File="DATA/FINALP0:N13sol" 			NColumns=5 XColumn=1 YColumn=3
ReadFile      File="DATA/FINALP0:N13toaIGtotAT0.2R0.230Rho0.5"	NColumns=5 XColumn=1 YColumn=3
ReadFile      File="DATA/FINALintrincP0:N13toaAS0.2IGtot"	NColumns=5 XColumn=1 YColumn=3
ReadFile      File="DATA/FINALintrincP0:N13toaR0.230IGtot"	NColumns=5 XColumn=1 YColumn=3

Formula Min=-90 Max=90 Npoints=100 Formula="y3=1000*y3"
Formula Min=-90 Max=90 Npoints=100 Formula="y5=y2-y4-y1*exp(-(0.5*0.2+0.230)*(1./cos(pi*47.3/180.)+1./cos(pi*x/180.)))"
Formula Min=-90 Max=90 Npoints=100 Formula="y5=1000*y5"

PlotTitle     Title="Inversion de L_{pol}($q)*cos($q) a\'erosols \n\`a partir des donn\'ees TOA ($a=0.5)"
Grid          Frame=Yes   Xgrid=No       Ygrid=No  [Yes | Light | No] 
ScaleToFrame
Mask          Curve=1 
Mask          Curve=2 
LineStyle     Curve=3   Style=Solid           Color=Forest       Thickness=4
Mask          Curve=4 
LineStyle     Curve=5   Style=MicroDash       Color=Blue         Thickness=1

XTitle        Title="Angles de vis\'ee (degr\'es)" Height=1.50
XAxis         Scale=Linear    Min=-90    Max=90  Delta=10  
XLabel        LabelStep=2   Reference=-1   LabelHeight=1.00   CFormat="%.0f^o"
YTitle        Title="En milli\`emes" Height=1.50
YAxis         Scale=Linear    Min=-10    Max=2    Delta=0.5   
YLabel        LabelStep=2    Reference=0   LabelHeight=1.00   CFormat="%.1f"

#   ********  Annotations ********  
PlotLine     XStart=10.45%  YStart=56.04%  XEnd=23.28% YEnd=56.04%   Color=Forest   Style=Solid  Thickness=4
PlotText     XStart=23.78%  YStart=54.76%  Text="L_{aer}(0) pour $d = 0.2"
PlotLine     XStart=10.45%  YStart=61.63%  XEnd=23.28% YEnd=61.63%   Color=Blue   Style=MicroDash  Thickness=1
PlotText     XStart=23.78%  YStart=60.35%  Text="L_{toa}-L_{mol}-L_{sol}*exp(-m*($a*$d_{aer}+$d_m))"
#   ********  Annotations: End ********  

DrawCell      XStart=3 YStart=4 Width=15 Height=11

#####################  SECOND CELL  #########################

ReadFile      File="DATA/FINALP0:N13sol" 			NColumns=5 XColumn=1 YColumn=3
ReadFile      File="DATA/FINALP0:N13toaIGtotAT0.2R0.015Rho0.5"	NColumns=5 XColumn=1 YColumn=3
ReadFile      File="DATA/FINALintrincP0:N13toaAS0.2IGtot"	NColumns=5 XColumn=1 YColumn=3
ReadFile      File="DATA/FINALintrincP0:N13toaR0.015IGtot"	NColumns=5 XColumn=1 YColumn=3

Formula Min=-90 Max=90 Npoints=100 Formula="y3=1000*y3"
Formula Min=-90 Max=90 Npoints=100 Formula="y5=y2-y4-y1*exp(-(0.5*0.2+0.015)*(1./cos(pi*47.3/180.)+1./cos(pi*x/180.)))"
Formula Min=-90 Max=90 Npoints=100 Formula="y5=1000*y5"

PlotTitle     Title="Inversion de L_{pol}($q)*cos($q)  a\'erosols \n\`a partir des donn\'ees TOA ($a=0.5)"
Grid          Frame=Yes   Xgrid=No       Ygrid=No  [Yes | Light | No] 
ScaleToFrame
Mask          Curve=1 
Mask          Curve=2 
LineStyle     Curve=3   Style=Solid           Color=Forest       Thickness=4
Mask          Curve=4 
LineStyle     Curve=5   Style=MicroDash       Color=Blue         Thickness=1

XTitle        Title="Angles de vis\'ee (degr\'es)" Height=1.50
XAxis         Scale=Linear    Min=-90    Max=90  Delta=10  
XLabel        LabelStep=2   Reference=-1   LabelHeight=1.00   CFormat="%.0f^o"
YTitle        Title="En milli\`emes" Height=1.50
YAxis         Scale=Linear    Min=-10    Max=2    Delta=0.5   
YLabel        LabelStep=2    Reference=0   LabelHeight=1.00   CFormat="%.1f"


#   ********  Annotations ********  
PlotLine     XStart=10.45%  YStart=56.04%  XEnd=23.28% YEnd=56.04%   Color=Forest   Style=Solid  Thickness=4
PlotText     XStart=23.78%  YStart=54.76%  Text="L_{aer}(0) pour $d = 0.2"
PlotLine     XStart=10.45%  YStart=61.63%  XEnd=23.28% YEnd=61.63%   Color=Blue   Style=MicroDash  Thickness=1
PlotText     XStart=23.78%  YStart=60.35%  Text="L_{toa}-L_{mol}-L_{sol}*exp(-m*($a*$d_{aer}+$d_m))"
#   ********  Annotations: End ********  

DrawCell      XStart=3 YStart=16 Width=15 Height=11

#############################################################

#   ********  Page annotations ********  
PageText    XStart=5.0000  YStart=3.0000   Color=Red  Height=0.7000  Text="Couche AS (865M2): Test $a, Inversion L_{aer}" 
PageText    XStart=9.5000  YStart=3.7000   Color=Red  Height=0.5000  Text="Plan d'incidence" 
#   ********  Page annotations: End ********  

SendToFile     File="OUT/inversion.ps"  Type=Color  
