#Command file for Mgraph to generate PostScript plots

#The sign # comments the line
#Square brackets ([...]) indicate that the enclosed element is optional
#Quotes ("...") are used around literal characters
#The sign \ joins the line with the next line
#Set up and uncomment the ReadFile and the SendToFile/SendToPrinter lines
#Mgraph -help  provides a description of the command file

#Color  options: Red Blue Magenta Black Green Forest Sienna Yellow
#               Coral Violet Plum Cyan Turquoise Whitel
#Line   options: Solid NoLine MicroDash  SmallDash Dash LongDash Dashdot LineDot
#Marker options: NoMark  BigDot SmallDot Cross X
#                Square  Diamond  TriangleUp  TriangleDown  Circle
#               FSquare FDiamond FTriangleUp FTriangleDown FCircle


#Verbose

#WindowSize Width=580 Height=549
#SetPaper   [A4 | A3 | B5 | USLETTER | USLEGAL]
#LineJoin   [Round|Sharp]
#AddLogo    XStart=0.000 YStart=0.000 XScale=-1.000 YScale=0.000


#############################################################

ReadSurface      File="DATA/lum_polaire_vent10_ts11_mod08_d0.15_lumdiv20.gz" Mode=IRREGULAR  \
	Ncolumns=8 Nlines=683  LinesToSkip=0 Xcolumn=1 Ycolumn=2 Zcolumn=3  \
	UndefValue=-8421 Zmin=-1 Zmax=-1

PlotTitle     Title="Luminance  865nm, vent=10m/s\nm=1.40, $a=1.40, $q_s=39.9^o, $d=0.15" Height=1.20
Grid          Frame=Yes   Xgrid=No       Ygrid=No  [Yes | Light | No] 
#ScaleToFrame
ContourDef  Label=No  [Smooth=Yes|No] IdealDistance=1  BackGround=transp ForeGround=Undef  CFormat="%.3g"  Size=1
SurfaceGeometry Xmin=-60.0437 Xmax=73.2999 Ymin=-73.2999 Ymax=73.2999     DistanceFactor=1 XYRatio=1 Interpolation=No
SurfaceLUT          File="USER_LUTS/GreySharp_4"
SurfaceStretch	        Zmin=0 Zmax=0.004 FirstLevel=0 LastLevel=255
ColorScale	Mode=Boxes [|Linear]	XStart=-6.18557% YStart=18.7793% XEnd=0.412371% YEnd=102.347% Min=0 Max=255  \
	Color=Black Position=DownRight NoTick=No CFormat="%.4f" Size=1.3 \
	List= 0 0.0000 0.0003 " " 0.0006 0.0006 0.0009 " " 0.0012 0.0012 0.0015 " " 0.002 0.0020 0.003 " " 0.004 0.0040
AddObject        Surface      [Region Surface Dots Triangles]

XTitle        Title="X" Height=1.20
XAxis         Scale=Linear    Min=-90    Max=73.3  Delta=-1  
XLabel        LabelStep=-1   Reference=-1   LabelHeight=1.10   CFormat=" "
YTitle        Title="Y" Height=1.20
YAxis         Scale=Linear    Min=-78    Max=78    Delta=-1   
YLabel        LabelStep=-1    Reference=-1   LabelHeight=1.10   CFormat=" "

PolarAxis     XCenter=0 YCenter=0 RadiusMax=73  [Grid=Light] [Depend=AxisFormula] 
RadialAxis    DeltaTheta=-8421 DeltaRadius=20  Color=Black  Label=Yes  LabelStep=1 LabelHeight=1.5  LabelPosition=140  UpperView=Yes  
AzimuthAxis DeltaPhi=30  Color=Black Label=Yes  LabelStep=1 LabelHeight=1.5  Clockwise=Yes  

#   ********  Annotations ********  
PlotText     XStart=3.92%  YStart=11.50%   Color=Black Style=Plain  Height=1.40 Angle=0.00  Text="$D L^{aer}"
PlotText     XStart=-12.16%  YStart=11.50%   Color=Black Style=Plain  Height=1.40 Angle=0.00  Text="L^{aer}"
PlotText     XStart=-12.16%  YStart=94.60%   Color=Black Style=Plain  Height=1.30 Angle=0.00  Text="0.00"
PlotText     XStart=-13.40%  YStart=75.59%   Color=Black Style=Plain  Height=1.30 Angle=0.00  Text="0.012"
PlotText     XStart=-13.81%  YStart=58.22%   Color=Black Style=Plain  Height=1.30 Angle=0.00  Text="0.024"
PlotText     XStart=-13.81%  YStart=40.14%   Color=Black Style=Plain  Height=1.30 Angle=0.00  Text="0.040"
PlotText     XStart=-13.61%  YStart=21.60%   Color=Black Style=Plain  Height=1.30 Angle=0.00  Text="0.080"
PlotText     XStart=88.04%  YStart=5.16%   Color=Black Style=Plain  Height=1.70 Angle=0.00  Text="$D L^{aer}"
PlotText     XStart=91.55%  YStart=90.38%   Color=Black Style=Plain  Height=1.70 Angle=0.00  Text="L^{aer}"
#   ********  Annotations: End ********  

DrawCell     XStart=3.0000   YStart=2.0000   Width=7.0000   Height=7.0000\
	Type=Black&White   Orientation=Portrait  Mode=Margin[|ScaleToFrame] 

#############################################################

ReadSurface      File="DATA/lum_polaire_vent15_ts11_mod08_d0.15_lumdiv20.gz" Mode=IRREGULAR  \
	Ncolumns=8 Nlines=544  LinesToSkip=0 Xcolumn=1 Ycolumn=2 Zcolumn=3  \
	UndefValue=-8421 Zmin=-1 Zmax=-1

PlotTitle     Title="Luminance  865nm, vent=15m/s\nm=1.40, $a=1.40, $q_s=39.9^o, $d=0.15" Height=1.20
Grid          Frame=Yes   Xgrid=No       Ygrid=No  [Yes | Light | No] 
#ScaleToFrame
ContourDef  Label=No  [Smooth=Yes|No] IdealDistance=1  BackGround=transp ForeGround=Undef  CFormat="%.3g"  Size=1
SurfaceGeometry Xmin=-51.8308 Xmax=73.2999 Ymin=-73.2999 Ymax=73.2999     DistanceFactor=1 XYRatio=1 Interpolation=No
SurfaceLUT          File="USER_LUTS/GreySharp_4"
SurfaceStretch	        Zmin=0 Zmax=0.004 FirstLevel=0 LastLevel=255
ColorScale	Mode=Boxes [|Linear]	XStart=-5.7732% YStart=21.1268% XEnd=-0.206186% YEnd=98.3568% Min=0 Max=255  \
	Color=Black Position=DownRight NoTick=No CFormat="%.4f" Size=1.3 \
	List= 0 0.0000 0.0003 " " 0.0006 0.0006 0.0009 " " 0.0012 0.0012 0.0015 " " 0.002 0.0020 0.003 " " 0.004 0.0040
AddObject        Surface      [Region Surface Dots Triangles]

XTitle        Title="X" Height=1.20
XAxis         Scale=Linear    Min=-88    Max=73.3  Delta=-1  
XLabel        LabelStep=-1   Reference=-1   LabelHeight=1.10   CFormat=" "
YTitle        Title="Y" Height=1.20
YAxis         Scale=Linear    Min=-78    Max=78    Delta=-1   
YLabel        LabelStep=-1    Reference=-1   LabelHeight=1.10   CFormat=" "

PolarAxis     XCenter=0 YCenter=0 RadiusMax=73  [Grid=Light] [Depend=AxisFormula] 
RadialAxis    DeltaTheta=-8421 DeltaRadius=20  Color=Black  Label=Yes  LabelStep=1 LabelHeight=1.5  LabelPosition=140  UpperView=Yes  
AzimuthAxis DeltaPhi=30  Color=Black Label=Yes  LabelStep=1 LabelHeight=1.5  Clockwise=Yes  

#   ********  Annotations ********  
PlotText     XStart=-13.20%  YStart=10.09%   Color=Black Style=Plain  Height=1.50 Angle=0.00  Text="L^{aer}"
PlotText     XStart=1.44%  YStart=10.09%   Color=Black Style=Plain  Height=1.50 Angle=0.00  Text="$D L^{aer}"
PlotText     XStart=-12.37%  YStart=90.38%   Color=Black Style=Plain  Height=1.30 Angle=0.00  Text="0.00"
PlotText     XStart=-13.40%  YStart=73.47%   Color=Black Style=Plain  Height=1.30 Angle=0.00  Text="0.012"
PlotText     XStart=-13.61%  YStart=57.04%   Color=Black Style=Plain  Height=1.30 Angle=0.00  Text="0.024"
PlotText     XStart=-13.40%  YStart=40.38%   Color=Black Style=Plain  Height=1.30 Angle=0.00  Text="0.040"
PlotText     XStart=-13.81%  YStart=22.54%   Color=Black Style=Plain  Height=1.30 Angle=0.00  Text="0.080"
#   ********  Annotations: End ********  

DrawCell     XStart=11.0000   YStart=2.0000   Width=7.0000   Height=7.0000\
	Type=Black&White   Orientation=Portrait  Mode=Margin[|ScaleToFrame] 

#############################################################

ReadSurface      File="DATA/lumpol_polaire_vent10_ts11_mod08_d0.15_lumdiv20.gz" Mode=IRREGULAR  \
	Ncolumns=8 Nlines=678  LinesToSkip=0 Xcolumn=1 Ycolumn=2 Zcolumn=3  \
	UndefValue=-8421 Zmin=-1 Zmax=-1

PlotTitle     Title="Luminance polaris\'ee 865nm, vent=10m/s\nm=1.40, $a=1.40, $q_s=39.9^o, $d=0.15" Height=1.20
Grid          Frame=Yes   Xgrid=No       Ygrid=No  [Yes | Light | No] 
#ScaleToFrame
ContourDef  Label=No  [Smooth=Yes|No] IdealDistance=1  BackGround=transp ForeGround=Undef  CFormat="%.3g"  Size=1
SurfaceGeometry Xmin=-60.0437 Xmax=73.2999 Ymin=-73.2999 Ymax=73.2999     DistanceFactor=1 XYRatio=1 Interpolation=No
SurfaceLUT          File="USER_LUTS/GreySharp_4"
SurfaceStretch	        Zmin=-0.001 Zmax=0.003 FirstLevel=0 LastLevel=255
ColorScale	Mode=Boxes [|Linear]	XStart=-6.80412% YStart=17.8404% XEnd=-0.206186% YEnd=102.113% Min=0 Max=255  \
	Color=Black Position=DownRight NoTick=No CFormat="%.4f" Size=1.3 \
	List= -0.001 -0.0010 -0.0005 " " 0 0.0000 0.0004 " " 0.0008 0.0008 0.0012 " " 0.0016 0.0016 0.0023 " " 0.003 0.0030
AddObject        Surface      [Region Surface Dots Triangles]

XTitle        Title="X" Height=1.20
XAxis         Scale=Linear    Min=-90    Max=73.3  Delta=-1  
XLabel        LabelStep=-1   Reference=-1   LabelHeight=1.10   CFormat=" "
YTitle        Title="Y" Height=1.20
YAxis         Scale=Linear    Min=-78    Max=78    Delta=-1   
YLabel        LabelStep=-1    Reference=-1   LabelHeight=1.10   CFormat=" "

PolarAxis     XCenter=0 YCenter=0 RadiusMax=73  [Grid=Light] [Depend=AxisFormula] 
RadialAxis    DeltaTheta=-8421 DeltaRadius=20  Color=Black  Label=Yes  LabelStep=1 LabelHeight=1.5  LabelPosition=140  UpperView=Yes  
AzimuthAxis DeltaPhi=30  Color=Black Label=Yes  LabelStep=1 LabelHeight=1.5  Clockwise=Yes  

#   ********  Annotations ********  
PlotText     XStart=-13.81%  YStart=7.98%   Color=Black Style=Plain  Height=1.50 Angle=0.00  Text="L^{aer}"
PlotText     XStart=0.82%  YStart=7.98%   Color=Black Style=Plain  Height=1.50 Angle=0.00  Text="$D L^{aer}"
PlotText     XStart=-15.05%  YStart=92.72%   Color=Black Style=Plain  Height=1.30 Angle=0.00  Text="-0.02"
PlotText     XStart=-13.40%  YStart=74.88%   Color=Black Style=Plain  Height=1.30 Angle=0.00  Text="0.00"
PlotText     XStart=-14.43%  YStart=56.81%   Color=Black Style=Plain  Height=1.30 Angle=0.00  Text="0.016"
PlotText     XStart=-14.23%  YStart=39.20%   Color=Black Style=Plain  Height=1.30 Angle=0.00  Text="0.032"
PlotText     XStart=-14.43%  YStart=20.42%   Color=Black Style=Plain  Height=1.30 Angle=0.00  Text="0.060"
#   ********  Annotations: End ********  

DrawCell     XStart=3.0000   YStart=9.5000   Width=7.0000   Height=7.0000\
	Type=Black&White   Orientation=Portrait  Mode=Margin[|ScaleToFrame] 

#############################################################

ReadSurface      File="DATA/lumpol_polaire_vent15_ts11_mod08_d0.15_lumdiv20.gz" Mode=IRREGULAR  \
	Ncolumns=8 Nlines=544  LinesToSkip=0 Xcolumn=1 Ycolumn=2 Zcolumn=3  \
	UndefValue=-8421 Zmin=-1 Zmax=-1

PlotTitle     Title="Luminance polaris\'ee 865nm, vent=15m/s\nm=1.40, $a=1.40, $q_s=39.9^o, $d=0.15" Height=1.20
Grid          Frame=Yes   Xgrid=No       Ygrid=No  [Yes | Light | No] 
#ScaleToFrame
ContourDef  Label=No  [Smooth=Yes|No] IdealDistance=1  BackGround=transp ForeGround=Undef  CFormat="%.3g"  Size=1
SurfaceGeometry Xmin=-51.8308 Xmax=73.2999 Ymin=-73.2999 Ymax=73.2999     DistanceFactor=1 XYRatio=1 Interpolation=No
SurfaceLUT          File="USER_LUTS/GreySharp_4"
SurfaceStretch	        Zmin=-0.001 Zmax=0.003 FirstLevel=0 LastLevel=255
ColorScale	Mode=Boxes [|Linear]	XStart=-7.83505% YStart=18.5446% XEnd=-1.64948% YEnd=98.8263% Min=0 Max=255  \
	Color=Black Position=DownRight NoTick=No CFormat="%.4f" Size=1.3 \
	List= -0.001 -0.0010 -0.0005 " " 0 0.0000 0.0004 " " 0.0008 0.0008 0.0012 " " 0.0016 0.0016 0.0023 " " 0.003 0.0030
AddObject        Surface      [Region Surface Dots Triangles]

XTitle        Title="X" Height=1.20
XAxis         Scale=Linear    Min=-92    Max=73.3  Delta=-1  
XLabel        LabelStep=-1   Reference=-1   LabelHeight=1.10   CFormat=" "
YTitle        Title="Y" Height=1.20
YAxis         Scale=Linear    Min=-76    Max=76    Delta=-1   
YLabel        LabelStep=-1    Reference=-1   LabelHeight=1.10   CFormat=" "

PolarAxis     XCenter=0 YCenter=0 RadiusMax=73  [Grid=Light] [Depend=AxisFormula] 
RadialAxis    DeltaTheta=-8421 DeltaRadius=20  Color=Black  Label=Yes  LabelStep=1 LabelHeight=1.5  LabelPosition=140  UpperView=Yes  
AzimuthAxis DeltaPhi=30  Color=Black Label=Yes  LabelStep=1 LabelHeight=1.5  Clockwise=Yes  

#   ********  Annotations ********  
PlotText     XStart=-14.23%  YStart=9.15%   Color=Black Style=Plain  Height=1.50 Angle=0.00  Text="L^{aer}"
PlotText     XStart=-0.21%  YStart=9.15%   Color=Black Style=Plain  Height=1.50 Angle=0.00  Text="$D L^{aer}"
PlotText     XStart=-16.49%  YStart=91.31%   Color=Black Style=Plain  Height=1.50 Angle=0.00  Text="-0.02"
PlotText     XStart=-15.26%  YStart=74.18%   Color=Black Style=Plain  Height=1.50 Angle=0.00  Text="0.00"
PlotText     XStart=-16.08%  YStart=55.87%   Color=Black Style=Plain  Height=1.50 Angle=0.00  Text="0.016"
PlotText     XStart=-15.88%  YStart=37.79%   Color=Black Style=Plain  Height=1.50 Angle=0.00  Text="0.032"
PlotText     XStart=-15.88%  YStart=20.89%   Color=Black Style=Plain  Height=1.50 Angle=0.00  Text="0.060"
#   ********  Annotations: End ********  

DrawCell     XStart=11.0000   YStart=9.5000   Width=7.0000   Height=7.0000\
	Type=Black&White   Orientation=Portrait  Mode=Margin[|ScaleToFrame] 

SendToFile     File="OUT/lum_pol.ps"
#SendToPrinter  Command="/usr/LOA/bin/vidpsINF"  Type=Black&White   [Copies=1]   Orientation=Portrait
#sendtodisplay
