#Command file for Mgraph to generate PostScript plots

#The sign # comments the line
#Square brackets ([...]) indicate that the enclosed element is optional
#Quotes ("...") are used around literal characters
#The sign \ joins the line with the next line
#Set up and uncomment the ReadFile and the SendToFile/SendToPrinter lines
#Mgraph -help  provides a description of the command file

#Color  options: Red Blue Magenta Black Green Forest Sienna Yellow
#               Coral Violet Plum Cyan Turquoise Whitel
#Line   options: Solid NoLine MicroDash  SmallDash Dash LongDash Dashdot LineDot
#Marker options: NoMark  BigDot SmallDot Cross X
#                Square  Diamond  TriangleUp  TriangleDown  Circle
#               FSquare FDiamond FTriangleUp FTriangleDown FCircle


#Verbose

#WindowSize Width=580 Height=549
#SetPaper   [A4 | A3 | B5 | USLETTER | USLEGAL]
#LineJoin   [Round|Sharp]
#AddLogo    XStart=1.000 YStart=2.700 XScale=0.140 YScale=0.140


#############################################################

ReadFile      File="DATA/reflec.data"

PlotTitle     Title="Reflectance in the sunglint direction\nover ocean surface" Height=1.50
Grid          Frame=Yes   Xgrid=No       Ygrid=No  [Yes | Light | No] 
ScaleToFrame
LineStyle     Curve=1   Style=Solid           Color=Blue         Thickness=1
LineStyle     Curve=2   Style=Solid           Color=Blue         Thickness=1

XTitle        Title="Cloud optical thickness $f" Height=1.50
XAxis         Scale=Linear    Min=-0.0001    Max=95  Delta=-1  
XLabel        LabelStep=-1   Reference=-1   LabelHeight=1.00   CFormat="%.0f"
YTitle        Title="Reflectance" Height=1.50
YAxis         Scale=Linear    Min=-0.0001    Max=1    Delta=0.1   
YLabel        LabelStep=1    Reference=-1   LabelHeight=1.00   CFormat="%.2f"


#   ********  Annotations ********  
PlotAxis  Location=FREE    XStart=52.53%  YStart=49.31%  XEnd=52.53% YEnd=66.07% \
  	Scale=Linear  Min=0.17  Max=0.25  Delta=-1  \
	Color=Magenta  Thickness=1 Title=""  TitleHeight=-1.00\
	LabelStep=2 Reference=-1  LabelHeight=0.50 CFormat="%.2f" 
PlotAxis  Location=FREE    XStart=52.53%  YStart=66.07%  XEnd=73.55% YEnd=66.07% \
  	Scale=Linear  Min=0  Max=2  Delta=-1  \
	Color=Magenta  Thickness=1 Title=""  TitleHeight=-1.00\
	LabelStep=2 Reference=-1  LabelHeight=0.50 CFormat="%.1f" 
PlotBox      XStart=45.78%  YStart=47.34%  XEnd=77.11% YEnd=70.22%   Color=Black   Style=Solid  Thickness=1
PlotBox      XStart=-1.13%  YStart=76.73%  XEnd=3.19% YEnd=83.43%   Color=Black   Style=Solid  Thickness=1
PlotLine     XStart=-1.13%  YStart=76.92%  XEnd=45.78% YEnd=47.34%   Color=Black   Style=Solid  Thickness=1
PlotLine     XStart=3.19%  YStart=83.43%  XEnd=77.11% YEnd=70.02%   Color=Black   Style=Solid  Thickness=1
PlotText     XStart=36.40%  YStart=32.54%   Color=Black Style=Plain  Height=1.20 Angle=0.00  Text="When tending to a cloud-free atmosphere,\n   the reflectance in the sunglint direction\nincreases because of the specular reflection\n                  on the ocean surface"
#   ********  Annotations: End ********  


SendToEPSFile     File="OUT/reflec.eps"  Size=10.
