/*-----------------------------------------------
	Draw 4 curves  in 4 Windows
	and compose one Page with the 4 cells
	and add annotations
------------------------------
  COMMON VARIABLES:
     int Mgraph_no Sequence number of the software;
                      several Mgraph can be launched at the same time id (several Mgraph can be launched)
     int nwindow   Number of window in which the data will be shown (-1=Current)
     int color     Number of the color: from 0 to 12:
                          Red, Blue, Magenta, Black, Green, Forest, Sienna,
                          Yellow, Coral, Violet, Plum, Cyan, Turquoise
                          Plum, Cyan,Turquoise
                      and 16 for the White
     int linestyle Style of the line: from 0 to 7:
                          Solid, NoLine, MicroDash, SmallDash,
                         Dash, LongDash, DashDot, LineDot
     int marker    Style of the marker: from 0 to 15:
                          NoMark, BigDot, SmallDot, Cross, X, Square,
                          Diamond, TriangleUp, TriangleDown, Circle
                          filled: Square, Diamond, TriangleUp, TriangleDown, Circle
-----------------------------------------------*/

#include <stdio.h>
#include <math.h>

#define FALSE 0
#define TRUE  1

#define LOGIN ""
#define SHELL "remsh"
#define PATH "/usr/local/bin"
#define PROG "Mgraph_sp"
#define COMPUTER ""
#define DISPLAY ""

extern int run_mgraph();
main()
{
int mgraph_no=1,nbp = 512,id;
float xstep,ystep;
int plot_no,draw,clear,color,style,mark;
float pos_x,pos_y;

char tex[128];
float *xx,*yy,posx=2,posy=4,width=16,height=4;
int i;


/*========================================================================================
 START MGRAPH_SP MODULE WITH NO DISPLAY: run_mgraph_no_display
        LOGIN:  login name;             if NULL will be the current login
        SHELL:  "rsh" or "remsh";       if NULL will be  "remsh"
        PATH :  path where the program is
        PROG :  name of the program (Mgraph_sp)
        COMPUTER:       name of the computer where the program has to
                        be launched;    if NULL will be the server name
        DISPLAY: Your Display Id;       if NULL will be your DISPLAY address
                                             from your environment
==========================================================================================*/

	if(!run_mgraph_no_display(mgraph_no,LOGIN,SHELL,PATH,PROG,COMPUTER,DISPLAY))
	{
		printf("Cannot start Mgraph\n");
		exit(0);
	}

	xx = (float *) malloc( sizeof(float) * nbp );
	yy = (float *) malloc( sizeof(float) * nbp );

	xstep = .30; ystep = -1.; clear = 0;
	mark = 0; style = 0; color = 0; draw = 1;

	for(plot_no=1;plot_no<5;plot_no++){
	id = plot_no;

/*-----------------------------------------------
send_title(client_id,window,title);
char    *title;  the window title     
-----------------------------------------------*/

	sprintf(tex,"sin(x) Window(%d)",id);
	send_title(mgraph_no,id,tex);

/*-----------------------------------------------
CHANGE ALL LABEL SIZES
        send_labelsize(client_id,window,tit,xlab,ylab,xtit,ytit);
    float tit            size of title
    float xlab           size of Xaxis labels
    float ylab           size of Yaxis labels
    float xtit           size of Xaxis title
    float ytit           size of Yaxis title
------------------------------------------------*/
	send_labelsize(mgraph_no,id,1.0,1.2,1.3,1.4,1.5);

/*------------------------------------------------
SEND AXES
send_xaxes2(client_id,window,legend,format,label_size,min,max,grid,
            color,thickness,rotation,step,ref,tick,log,Formula);

        CAREFUL with types !!!
      char  legend               The text which is displayed under the axis
      char  format               the C format formulation   ("%.2f" for ex.)
      float label size           factor on label size
      float min,max              the limits of axis (-1 : uses the best)
      int   grid                 10= grid 11= half tone 12= no grid
      int   color                color type (3=black)
      int   thickness            thickness of the line factor
      float rotation             label text rotation in degrees
      float step                 the step in your units between two ticks (-1:uses the best)
      float ref                  reference value   (-1 : uses the best)
      int   tick                 step (in ticks) between two labeled ticks  (-1 : uses the best)
      int   log                  0=linear 1=logarithm  2=formula 3=time  4=degree
      char  Formula[]            (if log = 2)
------------------------------------------------*/

       	send_xaxes2(mgraph_no,id,"Angle","%.1f",1.0,
       			-1.0,-1.0,12,3,1,0.0,-1.0,-1.0,-1,0,"");
       	send_yaxes2(mgraph_no,id,"sin(x)","%.1f",1.0,
			-1.0,-1.0,12,3,1,0.0,-1.0,-1.0,-1,0,"");

	    for(i=0;i<nbp;i++){
	        xx[i] = i * 3.141592 * plot_no / nbp;
	        yy[i] = sin((double)xx[i]);
	    }

/*------------------------------------------------
 SEND DATA ON WINDOW 
send_data2(client_id,window,clear,plot_nb,nbp,xx,yy,color,style,mark,thickness,marksize);

     int plot_nb      Number of the curve (-1 will determine an available one)
     int nbp          Number of points in the data
     float xx         x    data
     float yy         f(x) data
     int color
     int style
     int mark
     int thickness
     int marksize
------------------------------------------------*/

	    send_data(mgraph_no,id,clear,-1,nbp,xx,yy,color,style,mark,1);
	    color++;
/*------------------------------------------------
SEND THE WINDOW TO A CELL ON THE PAGE
send_draw_cell(client_id,window,x_position,y_position,width,height,type,orientation,fit_frame);

float      x_position,y_position   position of the cell on the page   in cm 
float      width,height            size of the cell in cm
int        type                    0=B/W    1=GreyScale    2=Color
int        orientation             0=Portrait 1=Landscape
int        fit_frame               fit the frame? 0=No     1=Yes 
------------------------------------------------*/

	send_draw_cell(mgraph_no,id,posx,posy,width,height,2,0,0);
	posy+=6;
	}

/*------------------------------------------------
SEND ANNOTATION TEXT TO THE PAGE

send_page_text(client_id,x_position,y_position,color,bold,height,rotation,text);
float       x_position,y_position : position of the text in cm 
int         color                 : color of the text (0->12-16)
int         bold                  : bold text? 0=No     1=Yes 
float       height                : text height in cm
float       rotation              : text rotation in degrees 
char        *text                 : the text which is to be shown
------------------------------------------------*/

	send_page_text(mgraph_no,2.0,3.5,1,1,1.0,0.0,"**HELLO**"); /*1=blue 1=bold*/

/*------------------------------------------------
SEND ANNOTATION TEXT TO THE PAGE

send_page_line(client_id,x_start,y_start,x_end,y_end,color,style,thickness);
send_page_box(client_id,x_start,y_start,x_end,y_end,color,style,thickness);
send_page_arrow(client_id,x_start,y_start,x_end,y_end,color,style,thickness);

   float x_start, y_start      start position of the line in cm
   float x_end,y_end           end position of the line in cm  
   int  color                  Line color (0->12-16)
   int  style                  Line style (0-7)    
   float thickness             Line thickness in cm
------------------------------------------------*/

	send_page_box(mgraph_no,1.0,2.0,20.0,28.0,5,0,.2); /* 5=Forest 0=Solid */

	send_page_line(mgraph_no,1.0,15.0,20.0,15.0,4,5,.03); /* 4=Green 5=LongDash */

	send_page_arrow(mgraph_no,2.0,14.0,2.0,4.0,1,0,.04); /* 1=Blue 0=Solid*/
	send_page_arrow(mgraph_no,19.0,16.0,19.0,27.0,1,0,.04); /* 1=Blue 0=Solid*/

/*------------------------------------------------
Choose your signature:
	standard:	send_signature(mgraph_no,"LOA Computer team");
	Nothing:	send_signature(mgraph_no,"\"\"");
	date:		send_signature(mgraph_no,"\":\"");
------------------------------------------------*/

	send_signature(mgraph_no,"\":\"");  /* date*/

/*------------------------------------------------
        SEND TO PRINTER ( to a spooler command )
             TO PS FILE (OR EPS)

        send_print(client_id,window,size,type,square,logo,orientation,printer_shell);
        send_create_ps (client_id,window,size,type,square,logo,orientation,file_name);
        send_create_eps(client_id,window,type,orientation,file_name);

   float size                 size in cm (std 16 cm)
   int   type                 0=B/W    1=GreyScale    2=Color
   int   square               square frame? 0=No     1=Yes
   int   logo                 add the logo? 0=No     1=Yes
   int   orientation          0=Portrait 1=Landscape
   char * printer_shell       spooler command: example: "lp -d Myprinter"
   char * file_name           your (E)PS file name
------------------------------------------------*/

	send_create_ps(mgraph_no,1,10.0,2,1,0,0,"MfileC3NDPS.ps");
	/*send_print(mgraph_no,4,10.0,2,0,0,0,"/usr/LOA/bin/vidpsTEK");*/

/*------------------------------------------------
EXIT_MAIN_PROGRAM
        before quitting your main program,  call send_end_dialog
        to keep Mgraph running
------------------------------------------------*/

	send_end_dialog(mgraph_no);
	free(xx);
	free(yy);
}
