c-----------------------------------------------
c        Draw 4 curves  in 4 Windows
c       and compose one Page with the 4 cells
c       and add annotations
c----------------------------
c COMMON VARIABLES:
c    integer Mgraph_no Sequence number of the software;
c                     several Mgraph can be launched at the same time id (several Mgraph can be launched)
c    integer id        Number of window in which the data will be shown (-1=Current)
c    integer color     Number of the color: from 0 to 12:
c                         Red, Blue, Magenta, Black, Green, Forest, Sienna,
c                         Yellow, Coral, Violet, Plum, Cyan, Turquoise
c                         Plum, Cyan,Turquoise
c                     and 16 for the White
c    integer linestyle Style of the line: from 0 to 7:
c                         Solid, NoLine, MicroDash, SmallDash,
c                        Dash, LongDash, DashDot, LineDot
c    integer marker    Style of the marker: from 0 to 15:
c                         NoMark, BigDot, SmallDot, Cross, X, Square,
c                         Diamond, TriangleUp, TriangleDown, Circle
c                         filled: Square, Diamond, TriangleUp, TriangleDown, Circle
c----------------------------------------------

      CHARACTER*(*) PROG,PATH
      PARAMETER (PATH ='/usr/local/bin')
      PARAMETER (PROG ='Mgraph_sp')

	integer mgraph_no,nbp,id
	integer plot_no,draw,clear,color,style,mark
	character*128 tex
	real xx(512),yy(512)

	mgraph_no=1
	nbp = 512
	posx=2
	posy=4
	width=16
	height=4

c========================================================================================
c START MGRAPH_SP MODULE WITH NO DISPLAY: call run_mgraph_no_display_f
c       LOGIN:  login name;             if NULL will be the current login
c       SHELL:  "rsh" or "remsh";       if NULL will be  "remsh"
c       PATH :  path where the program is
c       PROG :  name of the program (Mgraph_sp)
c       COMPUTER:       name of the computer where the program has to
c                       be launched;    if NULL will be the server name
c       DISPLAY: Your Display Id;       if NULL will be your DISPLAY address
c                                            from your environment
c========================================================================================

	call run_mgraph_no_display_f(Mgraph_no," "," ",PATH,PROG," "," ")

	xstep = .30
	ystep = -1.
	clear = 0
	mark = 0
	style = 0
	color = 0
	draw = 1

	do plot_no=1,4
	id = plot_no
c
c SEND THE TITLE
c call send_title_f(client_id,window,title)
c
	write(tex,'("sin(x) Window(",i1,")")') id
	print *,tex
	call send_title_f(mgraph_no,id,tex)
c
c CHANGE ALL LABEL SIZES
c       call send_labelsize_f(client_id,window,tit,xlab,ylab,xtit,ytit);
c   real tit            size of title
c   real xlab           size of Xaxis labels
c   real ylab           size of Yaxis labels
c   real xtit           size of Xaxis title
c   real ytit           size of Yaxis title
c
	call send_labelsize_f(mgraph_no,id,1.0,1.2,1.3,1.4,1.5)

c=====================================================================
c SEND AXES
c         CAREFUL with types !!!
c    call send_xaxes2_f(client_id,window,legend,format,label_size,min,max,grid,
c            color,thickness,rotation,step,ref,tick,log,Formula)
c       character*  legend             The text which is displayed under the axis
c       character*  format             the C format formulation   ("%.2f" for ex.)
c       real        label size         factor on label size
c       real        min,max            the limits of axis (-1 : uses the best)
c       integer     grid               10= grid 11= half tone 12= no grid
c       integer     color              color type (3=black)
c       integer     thickness          thickness of the line factor
c       real        rotation           label text rotation in degrees
c       real        step               the step in your units between two ticks (-1:uses the best)
c       real        ref                reference value   (-1 : uses the best)
c       integer     tick               step (in ticks) between two labeled ticks  (-1 : uses the best)
c       integer     log                0=linear 1=logarithm  2=formula 3=time  4=degree
c       character*  Formula            (if log = 2)
c=====================================================================

       	call send_xaxes2_f(mgraph_no,id,"Angle","%.1f",1.0,
     *        	-1.0,-1.0,12,3,1,0.0,-1.0,-1.0,-1,0," ")
       	call send_yaxes2_f(mgraph_no,id,"sin(x)","%.1f",1.0,
     *          -1.0,-1.0,12,3,1,0.0,-1.0,-1.0,-1,0," ")

	do i = 1,nbp
	    xx(i) = i * 3.141592 * plot_no / nbp
	    yy(i) = sin(xx(i))
	enddo
c
c=====================================================================
c SEND DATA ON WINDOW
c    call send_data2_f(client_id,window,clear,plot_nb,nbp,xx,yy,color,style,mark,thickness,marksize)
c    integer plot_nb      Number of the curve (-1 will determine an available one)
c    integer nbp          Number of points in the data
c    real    xx           x    data
c    real    yy           f(x) data
c    integer color
c    integer style
c    integer mark
c    integer thickness
c    integer marksize
c=====================================================================
c
	call send_data2_f(mgraph_no,id,clear,-1,
     *		nbp,xx,yy,color,style,mark,1)
	color=color+1

c------------------------------------------------
c SEND THE WINDOW TO A CELL ON THE PAGE
c call send_draw_cell_f(client_id,window,x_position,y_position,width,height,type,orientation,fit_frame)
c 
c real      x_position,y_position   position of the cell on the page   in cm
c real      width,height            size of the cell in cm
c integer   type                    0=B/W    1=GreyScale    2=Color
c integer   orientation             0=Portrait 1=Landscape
c integer   fit_frame               fit the frame? 0=No     1=Yes
c------------------------------------------------

	call send_draw_cell_f(mgraph_no,id,posx,posy,width,height,2,0,0)
	posy=posy+6
	enddo

c------------------------------------------------
c SEND ANNOTATION TEXT TO THE PAGE
c 
c call send_page_text_f(client_id,x_position,y_position,color,bold,height,rotation,text;
c real       x_position,y_position : position of the text in cm
c integer    color                 : color of the text (0->12-16)
c integer    bold                  : bold text? 0=No     1=Yes
c real       height                : text height in cm
c real       rotation              : text rotation in degrees
c character*(*)        *text                 : the text which is to be shown
c------------------------------------------------

	call send_page_text_f(mgraph_no,2.0,3.5,1,1,1.0,0.0,"**HELLO**")

c------------------------------------------------
c SEND ANNOTATION (LINE - BOX - ARROW) TO THE PAGE
c 
c call send_page_line_f(client_id,x_start,y_start,x_end,y_end,color,style,thickness)
c call send_page_box_f(client_id,x_start,y_start,x_end,y_end,color,style,thickness)
c call send_page_arrow_f(client_id,x_start,y_start,x_end,y_end,color,style,thickness)
c 
c    real     x_start, y_start      start position of the line in cm
c    real     x_end,y_end           end position of the line in cm
c    integer  color                  Line color (0->12-16)
c    integer  style                  Line style (0-7)
c    real     thickness             Line thickness in cm
c------------------------------------------------

c	5=Forest 0=Solid
      	call send_page_box_f(mgraph_no,1.0,2.0,20.0,28.0,5,0,.2)

c       4=Green 5=LongDash
	call send_page_line_f(mgraph_no,1.0,15.0,20.0,15.0,4,5,.03)

c       1=Blue 0=Solid 
	call send_page_arrow_f(mgraph_no,2.0,14.0,2.0,4.0,1,0,.04)
	call send_page_arrow_f(mgraph_no,19.0,16.0,19.0,27.0,1,0,.04)

c------------------------------------------------
c  Choose your signature:
c        standard:     call send_signature_f(mgraph_no,"LOA Computer team");
c        Nothing:      call send_signature_f(mgraph_no,"\"\"");
c        date:         call send_signature_f(mgraph_no,"\":\"");
c------------------------------------------------*/

        call send_signature_f(mgraph_no,"Ras le bol")

c===========================================================================
c        SEND TO PRINTER ( to a spooler command )
c             TO PS FILE (OR EPS)
c
c        call send_print_f(client_id,window,size,type,square,logo,orientation,printer_shell)
c        call send_create_ps_f (client_id,window,size,type,square,logo,orientation,file_name)
c        call send_create_eps_f(client_id,window,type,orientation,file_name)
c
c   real size                 size in cm (std 16 cm)
c   integer   type                 0=B/W    1=GreyScale    2=Color
c   integer   square               square frame? 0=No     1=Yes
c   integer   logo                 add the logo? 0=No     1=Yes
c   integer   orientation          0=Portrait 1=Landscape
c   character*(*) printer_shell       spooler command: example: "lp -d Myprinter"
c   character*(*) file_name           your (E)PS file name
c==========================================================================

	call send_create_ps_f(mgraph_no,1,10.0,2,1,0,0,"MfileC3NDPSF.ps")
c	call send_print_f(mgraph_no,4,10.0,2,0,0,0,"/usr/LOA/bin/vidpsTEK")

c=====================================================================
c  EXIT MAIN PROGRAM
c before quitting your main program,  call send_end_dialog_f
c to keep Mgraph running
c=====================================================================

	call send_end_dialog_f(mgraph_no)
	stop
	end
