/*-----------------------------------------------
        SHORT PROGRAM:
        Just draw 4 curves into 4 different windows
------------------------------
  COMMON VARIABLES:
     int Mgraph_no Sequence number of the software;
                      several Mgraph can be launched at the same time id (several Mgraph can be launched)
     int id        Number of window in which the data will be shown (-1=Current)
     int color     Number of the color: from 0 to 12:
                          Red, Blue, Magenta, Black, Green, Forest, Sienna,
                          Yellow, Coral, Violet, Plum, Cyan, Turquoise
                          Plum, Cyan,Turquoise
                      and 16 for the White
     int linestyle Style of the line: from 0 to 7:
                          Solid, NoLine, MicroDash, SmallDash,
                         Dash, LongDash, DashDot, LineDot
     int marker    Style of the marker: from 0 to 15:
                          NoMark, BigDot, SmallDot, Cross, X, Square,
                          Diamond, TriangleUp, TriangleDown, Circle
                          filled: Square, Diamond, TriangleUp, TriangleDown, Circle
------------------------------------------------*/

#include <stdio.h>
#include <math.h>

#define FALSE 0
#define TRUE  1

#define LOGIN ""
#define SHELL ""
#define PATH "/usr/local/bin/"
#define PROG "Mgraph_sp"
#define COMPUTER ""
#define DISPLAY ""

extern int run_mgraph();
main()
{
int mgraph_no=1,nbp = 512,id;
float xstep,ystep;
int plot_no,draw,clear,color,style,mark;
float pos_x,pos_y;

char tex[128];
float *xx,*yy;
int i;


/*========================================================================================
 START MGRAPH_SP MODULE: run_mgraph
        LOGIN:  login name;             if NULL will be the current login
        SHELL:  "rsh" or "remsh";       if NULL will be  "remsh"
        PATH :  path where the program is
        PROG :  name of the program (Mgraph_sp)
        COMPUTER:       name of the computer where the program has to
                        be launched;    if NULL will be the server name
        DISPLAY: Your Display Id;       if NULL will be your DISPLAY address
                                             from your environment
==========================================================================================*/

	if(!run_mgraph(mgraph_no,LOGIN,SHELL,PATH,PROG,COMPUTER,DISPLAY))
	{
		printf("Cannot start Mgraph\n");
		exit(0);
	}

	xx = (float *) malloc( sizeof(float) * nbp );
	yy = (float *) malloc( sizeof(float) * nbp );

	xstep = .30; ystep = -1.; clear = 0;
	mark = 0; style = 0; color = 0; draw = 1;

/*  4 curves (plot_no) into 4 windows (id) */

	for(plot_no=1;plot_no<5;plot_no++){
	id = plot_no;

/*-----------------------------------------------
RESIZE THE DRAW WINDOW
    int width,height     size in pixels
------------------------------------------------*/
	send_resize(mgraph_no,id,500,400);
/*-----------------------------------------------
SEND THE TITLE 
    send_title(client_id,window,title);
------------------------------------------------*/
	sprintf(tex,"sin(x) Window(%d)\n",id);
	send_title(mgraph_no,id,tex);

/*-----------------------------------------------
CHANGE ALL LABEL SIZES
        send_labelsize(client_id,window,tit,xlab,ylab,xtit,ytit);
    float tit            size of title
    float xlab           size of Xaxis labels
    float ylab           size of Yaxis labels
    float xtit           size of Xaxis title
    float ytit           size of Yaxis title
------------------------------------------------*/

	send_labelsize(mgraph_no,id,2.0,2.2,2.3,2.4,2.5);

/*------------------------------------------------
SEND AXES
send_xaxes2(client_id,window,legend,format,label_size,min,max,grid,
            color,thickness,rotation,step,ref,tick,log,Formula);

        CAREFUL with types !!!
      char  legend               The text which is displayed under the axis
      char  format               the C format formulation   ("%.2f" for ex.)
      float label size           factor on label size
      float min,max              the limits of axis (-1 : uses the best)
      int   grid                 10= grid 11= half tone 12= no grid
      int   color                color type (3=black)
      int   thickness            thickness of the line factor
      float rotation             label text rotation in degrees
      float step                 the step in your units between two ticks (-1:uses the best)
      float ref                  reference value   (-1 : uses the best)
      int   tick                 step (in ticks) between two labeled ticks  (-1 : uses the best)
      int   log                  0=linear 1=logarithm  2=formula 3=time  4=degree
      char  Formula[]            (if log = 2)
------------------------------------------------*/

        send_xaxes2(mgraph_no,id,"Angle","%.1f",1.0,
                        -1.0,-1.0,12,3,1,0.0,-1.0,-1.0,-1,0,"");
        send_yaxes2(mgraph_no,id,"sin(x)","%.1f",1.0,
                        -1.0,-1.0,12,3,1,0.0,-1.0,-1.0,-1,0,"");


	    for(i=0;i<nbp;i++){
	        xx[i] = i * 3.141592 * plot_no / nbp;
	        yy[i] = sin((double)xx[i]) / plot_no;
	    }
/*------------------------------------------------
 SEND DATA ON WINDOW
send_data2(client_id,window,clear,plot_nb,nbp,xx,yy,color,style,mark,thickness,marksize);

     int plot_nb      Number of the curve (-1 will determine an available one)
     int nbp          Number of points in the data
     float xx         x    data
     float yy         f(x) data
     int color
     int style
     int mark
     int thickness
     int marksize
------------------------------------------------*/

	    send_data(mgraph_no,id,clear,-1,nbp,xx,yy,color,style,mark,1);
	    color++;
	}

/*------------------------------------------------
EXIT_MAIN_PROGRAM
        before quitting your main program,  call send_end_dialog
        to keep Mgraph running
------------------------------------------------*/

	send_end_dialog(mgraph_no);
	free(xx);
	free(yy);
}
