c-----------------------------------------------
c  Draw a field of arrows in the Mgraph main window
c -----------------------------------------------
c COMMON VARIABLES:
c    integer Mgraph_no Sequence number of the software;
c                        several Mgraph can be launched at the same time id (several Mgraph can be launched)
c    integer nwindow   Number of window in which the data will be shown (-1=Current)
c    integer color     Number of the color: from 0 to 12:
c                         Red, Blue, Magenta, Black, Green, Forest, Sienna,
c                         Yellow, Coral, Violet, Plum, Cyan, Turquoise
c                         Plum, Cyan,Turquoise
c                        and 16 for the White
c    integer linestyle Style of the line: from 0 to 7:
c                         Solid, NoLine, MicroDash, SmallDash,
c                           Dash, LongDash, DashDot, LineDot
c    integer marker    Style of the marker: from 0 to 15:
c                         NoMark, BigDot, SmallDot, Cross, X, Square,
c                         Diamond, TriangleUp, TriangleDown, Circle
c                         filled: Square, Diamond, TriangleUp, TriangleDown, Circle
c-----------------------------------------------

      CHARACTER*(*) LOGIN,SHELL,PROG,PATH,COMPUTER
      PARAMETER (LOGIN=" ")
      PARAMETER (SHELL='remsh')
      PARAMETER (PATH ='/usr/local/bin/')
      PARAMETER (PROG ='Mgraph_sp')
      PARAMETER (COMPUTER =" ")
      PARAMETER (DISPLAY =" ")
      parameter (max_nbp=7000)

      real xx(max_nbp),yy(max_nbp),rho(max_nbp),theta(max_nbp)
      integer Mgraph_no,nbp
      

c========================================================================================
c START MGRAPH_SP MODULE: run_mgraph_f
c       LOGIN:  login name;             if NULL will be the current login
c       SHELL:  "rsh" or "remsh";       if NULL will be  "remsh"
c       PATH :  path where the program is
c       PROG :  name of the program (Mgraph_sp)
c       COMPUTER:       name of the computer where the program has to
c                       be launched;    if NULL will be the server name
c       DISPLAY: Your Display Id;       if NULL will be your DISPLAY address
c                                            from your environment
c==========================================================================================

      Mgraph_no = 1
      nwindow=-1
      call run_mgraph_f
     *(Mgraph_no,LOGIN,SHELL,PATH,PROG,COMPUTER,DISPLAY)

c========================================================================================
C	Data file read
c==========================================================================================

      open(10,file='961101.vent.pas01.LatLon')
      do nbp=1,7000
          read(10,*,end=9)xx(nbp),yy(nbp),rho(nbp),theta(nbp)
      enddo
      close(10)
 9    print*,"Number of points:",nbp

c=====================================================================
c SEND TITLE
c    call send_title_f(client_id,window,title)
c       character* title = the text which is to be shown
c=====================================================================

      call send_title_f(Mgraph_no,nwindow,"Field of winds")

c=====================================================================
c SEND AXES
c         CAREFUL with types !!!
c    call send_xaxes2_f(client_id,window,legend,format,label_size,min,max,grid,
c            color,thickness,rotation,step,ref,tick,log,Formula)
c       character*  legend             The text which is displayed under the axis
c       character*  format             the C format formulation   ("%.2f" for ex.)
c       real        label size         factor on label size
c       real        min,max            the limits of axis (-1 : uses the best)
c       integer     grid               10= grid 11= half tone 12= no grid
c       integer     color              color type (3=black)
c       integer     thickness          thickness of the line factor
c       real        rotation           label text rotation in degrees
c       real        step               the step in your units between two ticks (-1:uses the best)
c       real        ref                reference value   (-1 : uses the best)
c       integer     tick               step (in ticks) between two labeled ticks  (-1 : uses the best)
c       integer     log                0=linear 1=logarithm  2=formula 3=time  4=degree
c       character*  Formula            (if log = 2)
c=====================================================================

      xmin = 4.
      xmax = 10.
      xstep= -1.
      xbase= -1.
      igrid= 12
      ixtic= -1
      ixlog=  0

      call send_xaxes2_f(Mgraph_no,nwindow," ","%.2f",1.0,
     &  xmin,xmax,igrid,3,1,0.0,xstep,xbase,ixtic,ixlog," ")

      ymin = -17.
      ymax = -11.
      ystep= -1.
      ybase= -1.
      iytic= -1
      iylog=  0

      call send_yaxes2_f(Mgraph_no,nwindow," ","%.2f",1.0,
     &  ymin,ymax,igrid,3,1,0.0,ystep,ybase,iytic,iylog," ")


c=====================================================================
c SEND A FIELD OF ARROWS ON WINDOW
c    call send_data_arrows_f( client_id,nwindow,clear,plot_no,nbp,xx,yy,rho,theta,lenfactor,
c               arrowfact,color,linestyle,marker,thickness,marksize)
c
c     integer clear        does the window have it to be cleared? (0=no 1=yes)
c     integer plot_nb      Number of the curve (-1 will determine an available one)
c     integer nbp          Number of points in the data
c     real    xx           x    data
c     real    yy           f(x) data
c     real    rho          x    data
c     real    theta        f(x) data
c     real    lenfactor    length factor
c     real    arrowfact    arrow size factor
c     integer thickness    thickness of the line (factor)
c     integer marksize     marker size (factor)
c=====================================================================

      call send_data_arrows_f( Mgraph_no,-1,FALSE,1,nbp,xx,yy,rho,theta,
     *.5,1.0,1,0,0,4,1)

c=====================================================================
c  EXIT MAIN PROGRAM
c before quitting your main program,  call send_end_dialog_f
c to keep Mgraph running
c=====================================================================

      call send_end_dialog_f(Mgraph_no)
      stop
      end
