/*-----------------------------------------------
        Add boundaries and coasts 
------------------------------
  COMMON VARIABLES:
     int Mgraph_no Sequence number of the software;
                      several Mgraph can be launched at the same time id (several Mgraph can be launched)
     int nwindow   Number of window in which the data will be shown (-1=Current)
     int color     Number of the color: from 0 to 12:
                          Red, Blue, Magenta, Black, Green, Forest, Sienna,
                          Yellow, Coral, Violet, Plum, Cyan, Turquoise
                          Plum, Cyan,Turquoise
                      and 16 for the White
     int linestyle Style of the line: from 0 to 7:
                          Solid, NoLine, MicroDash, SmallDash,
                         Dash, LongDash, DashDot, LineDot
     int marker    Style of the marker: from 0 to 15:
                          NoMark, BigDot, SmallDot, Cross, X, Square,
                          Diamond, TriangleUp, TriangleDown, Circle
                          filled: Square, Diamond, TriangleUp, TriangleDown, Circle
-----------------------------------------------*/

#include <stdio.h>
#include <math.h>

#define FALSE 0
#define TRUE  1

/*================================================================================================
 
        LOGIN:  login name; if NULL will be the current login
        SHELL:  "rsh" or "remsh"; if NULL will be  "remsh"
        PATH :  path where the program is
        PROG :  name of the program (Mgraph_sp)
        COMPUTER:       name of the computer where the program have to
                        be launched; if NULL will be server_name
=================================================================================================*/

#define LOGIN NULL
#define SHELL NULL
#define PATH "/usr/local/bin"
#define PROG "Mgraph_sp"
#define COMPUTER NULL
#define DISPLAY NULL
#define X_FORMULA NULL
#define Y_FORMULA NULL


int draw[12]  = { 1,1,0,0,0,0,0,0,0,0,0,0};
int color[12] = { 4,2,1,1,1,1,1,1,1,1,1,1};
int style[12]  = { 0,0,0,0,0,0,0,0,0,0,0,0};
int mark[12]  = { 0,0,0,0,0,0,0,0,0,0,0,0};
int marksz[12]  = { 0,0,0,0,0,0,0,0,0,0,0,0};
int linewidth[12]  = { 1,1,1,1,1,1,1,1,1,1,1,1};

main()
{
float xmin,xmax,xstep=-1,xbase;
float ymin,ymax,ystep=-1,ybase;
int mgraph_no = 1,id=-1,xtic=-1,xlog=0,ytic=-1,ylog=0;
int clear = 1;

/*-----------------------------------------------
 START MGRAPH_SP MODULE WITH NO DISPLAY: run_mgraph_no_display
        LOGIN:  login name;             if NULL will be the current login
        SHELL:  "rsh" or "remsh";       if NULL will be  "remsh"
        PATH :  path where the program is
        PROG :  name of the program (Mgraph_sp)
        COMPUTER:       name of the computer where the program has to
                        be launched;    if NULL will be the server name
        DISPLAY: Your Display Id;       if NULL will be your DISPLAY address
                                             from your environment
-----------------------------------------------*/

	if(!run_mgraph(mgraph_no,LOGIN,SHELL,PATH,PROG,COMPUTER,DISPLAY))
	{
		printf("Cannot start Mgraph\n");
		exit(0);
	}

/*-----------------------------------------------
        SEND_RESIZE
        nwindow    = Window number(1->10) in which data will be shown (-1=Current)
        width      = window width in pixel
        height     = window height in pixel
-----------------------------------------------*/

	send_resize(mgraph_no,id,600,500);

/*-----------------------------------------------
send_title(client_id,window,title);
char    *title;  the window title
-----------------------------------------------*/

	send_title(mgraph_no,id,"Draw map example 1");

/*------------------------------------------------
SEND AXES
send_xaxes2(client_id,window,legend,format,label_size,min,max,grid,
            color,thickness,rotation,step,ref,tick,log,Formula);

        CAREFUL with types !!!
      char  legend               The text which is displayed under the axis
      char  format               the C format formulation   ("%.2f" for ex.)
      float label size           factor on label size
      float min,max              the limits of axis (-1 : uses the best)
      int   grid                 10= grid 11= half tone 12= no grid
      int   color                color type (3=black)
      int   thickness            thickness of the line factor
      float rotation             label text rotation in degrees
      float step                 the step in your units between two ticks (-1:uses the best)
      float ref                  reference value   (-1 : uses the best)
      int   tick                 step (in ticks) between two labeled ticks  (-1 : uses the best)
      int   log                  0=linear 1=logarithm  2=formula 3=time  4=degree
      char  Formula[]            (if log = 2)
------------------------------------------------*/
	xmin=-10;xmax=50;ymin=0;ymax=60;
	xbase=0;ybase=0;xstep=10;ystep=10;
 	send_xaxes2(mgraph_no,id,"Longitude","%.1f",1.0,
			xmin,xmax,12,3,1,0.0,xstep,xbase,xtic,xlog,NULL);
	send_yaxes2(mgraph_no,id,"latitude","%.1f",1.0,
			ymin,ymax,12,3,1,0.0,ystep,ybase,ytic,ylog,NULL);

/*-----------------------------------------------
SEND coasts or/and boundaries or/and rivers to Mgraph 
   int 		clear		clear the window
   float	longitude min                                                              
   float	longitude max                                                             
   float	latitude min                                                             
   float	latitude max                                                            
   int		draw[12]     	0/1 = yes/no
				[0] Draw Coasts                                           
               		 	[1] Draw Boundaries                                      
                		[2] Rivers Permanent major                              
                		[3]        Additional permanent major                  
                		[4]        Additional rivers                          
                		[5]        Minor rivers                              
                		[6]        Intermittent rivers                      
                		[7]        Intermittent minor rivers               
                		[8] -> [11]  Empty                                
   int	color[12]    [0] color (0->12)  for the each coast/boundary/river
                        Red, Blue, Magenta, Black, Green, Forest, Sienna, Yellow,
                        Coral, Violet, Plum, Cyan, Turquoise            
   int	style[12]    (0->7)      Line style                         
                        Solid, NoLine, MicroDash, SmallDash, Dash, LongDash,
                        DashDot, LineDot                              
   int	mark[12]     (0->15)     Mark type                       
                        NoMark, BigDot, SmallDot, Cross, X, Square, Diamond,
                        TriangleUp, TriangleDown, Circle
                        filled: Square, Diamond, TriangleUp, TriangleDown, Circle
   int	linewidth[12]                                                             
   int	marksize[12]
   char *directory	directory path for the maps                                 
------------------------------------------------*/

	send_drawmap(mgraph_no,id,clear,xmin,xmax,ymin,ymax,draw,color,style,mark,linewidth,marksz,
	"/LOA/bin/Mfiles/Maps");

/*------------------------------------------------
EXIT_MAIN_PROGRAM
        before quitting your main program,  call send_end_dialog
        to keep Mgraph running
------------------------------------------------*/


	send_end_dialog(mgraph_no);
}
