c-----------------------------------------------
c       Add boundaries and coasts
c-----------------------------
c COMMON VARIABLES:
c    int Mgraph_no Sequence number of the software;
c                     several Mgraph can be launched at the same time id (several Mgraph can be launched)
c    int nwindow   Number of window in which the data will be shown (-1=Current)
c    int color     Number of the color: from 0 to 12:
c                         Red, Blue, Magenta, Black, Green, Forest, Sienna,
c                         Yellow, Coral, Violet, Plum, Cyan, Turquoise
c                         Plum, Cyan,Turquoise
c                     and 16 for the White
c    int linestyle Style of the line: from 0 to 7:
c                         Solid, NoLine, MicroDash, SmallDash,
c                        Dash, LongDash, DashDot, LineDot
c    int marker    Style of the marker: from 0 to 15:
c                         NoMark, BigDot, SmallDot, Cross, X, Square,
c                         Diamond, TriangleUp, TriangleDown, Circle
c                         filled: Square, Diamond, TriangleUp, TriangleDown, Circle
c----------------------------------------------*/

      CHARACTER*(*) PROG,PATH,COMPUTER,DISPLAY,LOGIN,SHELL
      PARAMETER (LOGIN=" ")
      PARAMETER (SHELL=" ")
      PARAMETER (PATH ='/usr/local/bin/')
      PARAMETER (PROG ='Mgraph_sp')
      PARAMETER (COMPUTER = " ")
      PARAMETER (DISPLAY ='0:0')

      integer draw(12),color(12),style(12),mark(12),marksz(12)
      integer linewidth(12)	
      integer id,xtic,xlog,ytic,ylog	


      data draw    / 1,1,0,0,0,0,0,0,0,0,0,0 /
      data color   / 4,2,1,1,1,1,1,1,1,1,1,1 /
      data style   / 0,0,0,0,0,0,0,0,0,0,0,0 /
      data mark    / 0,0,0,0,0,0,0,0,0,0,0,0 /
      data marksz  / 0,0,0,0,0,0,0,0,0,0,0,0 /
      data linewidth     / 1,1,1,1,1,1,1,1,1,1,1,1 /

      xstep=-1
      ystep=-1	
      mgraph_no = 1
      id=-1
      xtic=-1
      xlog=0
      ytic=-1
      ylog=0
      clear = 1	

C/*=================================================================================================
c START MGRAPH_SP MODULE WITH NO DISPLAY: run_mgraph_no_display
c        LOGIN:  login name;             if NULL will be the current login
c        SHELL:  "rsh" or "remsh";       if NULL will be  "remsh"
c        PATH :  path where the program is
c        PROG :  name of the program (Mgraph_sp)
c        COMPUTER:       name of the computer where the program has to
c                        be launched;    if NULL will be the server name
c        DISPLAY: Your Display Id;       if NULL will be your DISPLAY address
c                                             from your environment
C=================================================================================================*/

	call run_mgraph_f
     * (mgraph_no,LOGIN,SHELL,PATH,PROG,COMPUTER,DISPLAY)

C/*=================================================================================================
C       SEND_RESIZE
C       nwindow    = Window number(1->10) in which data will be shown (-1=Current)
C       width      = window width in pixel
C       height     = window height in pixel
C=================================================================================================*/
C
	call send_resize_f(mgraph_no,id,600,500)

C/*=================================================================================================
c send_title(client_id,window,title);
c character     title[]  the window title
C=================================================================================================*/

	call send_title_f(mgraph_no,id,"Draw map example 1")
c=====================================================================
c SEND AXES
c         CAREFUL with types !!!
c    call send_xaxes2_f(client_id,window,legend,format,label_size,min,max,grid,
c            color,thickness,rotation,step,ref,tick,log,Formula)
c       character*  legend             The text which is displayed under the axis
c       character*  format             the C format formulation   ("%.2f" for ex.)
c       real        label size         factor on label size
c       real        min,max            the limits of axis (-1 : uses the best)
c       integer     grid               10= grid 11= half tone 12= no grid
c       integer     color              color type (3=black)
c       integer     thickness          thickness of the line factor
c       real        rotation           label text rotation in degrees
c       real        step               the step in your units between two ticks (-1:uses the best)
c       real        ref                reference value   (-1 : uses the best)
c       integer     tick               step (in ticks) between two labeled ticks  (-1 : uses the best)
c       integer     log                0=linear 1=logarithm  2=formula 3=time  4=degree
c       character*  Formula            (if log = 2)
c=====================================================================

	xmin=-10
        xmax=50
        ymin=0
        ymax=60
	xbase=0
        ybase=0
        xstep=10
        ystep=10
  	call send_xaxes2_f(mgraph_no,id,"Longitude","%.1f",
     *	1.0,xmin,xmax,12,3,1,0.0,xstep,xbase,xtic,xlog," ")
 	call send_yaxes2_f(mgraph_no,id,"latitude","%.1f",
     *	1.0,ymin,ymax,12,3,1,0.0,ystep,ybase,ytic,ylog," ")
 
C/*=================================================================================================
c SEND coasts or/and boundaries or/and rivers to Mgraph
c	call send_drawmap_f(mgraph_no,nwindow,clear,xmin,xmax,ymin,ymax,
c    * draw,color,style,mark,linewidth,marksize, directory)
c
c  integer clear           clear the window
c  real        longitude min
c  real        longitude max
c  real        latitude min
c  real        latitude max
c  integer     draw[12]        0/1 = yes/no
c                               [0] Draw Coasts
c                               [1] Draw Boundaries
c                               [2] Rivers Permanent major
c                               [3]        Additional permanent major
c                               [4]        Additional rivers
c                               [5]        Minor rivers
c                               [6]        Intermittent rivers
c                               [7]        Intermittent minor rivers
c                               [8] -> [11]  Empty
c  integer  color[12]    [0] color (0->12)  for the each coast/boundary/river
c                       Red, Blue, Magenta, Black, Green, Forest, Sienna, Yellow,
c                       Coral, Violet, Plum, Cyan, Turquoise
c  integer  style[12]    (0->7)      Line style
c                       Solid, NoLine, MicroDash, SmallDash, Dash, LongDash,
c                       DashDot, LineDot
c  integer  mark[12]     (0->15)     Mark type
c                       NoMark, BigDot, SmallDot, Cross, X, Square, Diamond,
c                       TriangleUp, TriangleDown, Circle
c                       filled: Square, Diamond, TriangleUp, TriangleDown, Circle
c  integer  linewidth[12]
c  integer  marksize[12]
c  character* directory      directory path for the maps
c
C=================================================================================================*/
	call send_drawmap_f(mgraph_no,id,clear,xmin,xmax,ymin,ymax,
     * draw,color,style,mark,linewidth,marksz, "/LOA/bin/Mfiles/Maps")

C/*=================================================================================================
C	EXIT_MAIN_PROGRAM */

	call send_end_dialog_f(mgraph_no)
	stop
	end
