#include <stdio.h>
#include <math.h>

#define FALSE 0
#define TRUE  1

/*==================================================================
         SHORT PROGRAM:
         ---------------
          You just need 4 calls to draw a surface in 3D perspective:
               run_mgraph:       Calling of the software
               send_datasurf:    Drawing of surface
	       send_datasurf3d:  Converting  the 2D surface into 3D   
               send_end_dialog:  Close Dialog: Mgraph remains active
  -----------------------------------------------
  COMMON VARIABLES:
     int mgraph_no Sequence number of the software;
                      several Mgraph can be launched at the same time id (several Mgraph can be launched)
     int nwindow   Number of window in which the data will be shown (-1=Current)
     int color     Number of the color: from 0 to 12:
                          Red, Blue, Magenta, Black, Green, Forest, Sienna,
                          Yellow, Coral, Violet, Plum, Cyan, Turquoise
                          Plum, Cyan,Turquoise
                      and 16 for the White
     int linestyle Style of the line: from 0 to 7:
                          Solid, NoLine, MicroDash, SmallDash,
                         Dash, LongDash, DashDot, LineDot
     int marker    Style of the marker: from 0 to 15:
                          NoMark, BigDot, SmallDot, Cross, X, Square,
                          Diamond, TriangleUp, TriangleDown, Circle
                          filled: Square, Diamond, TriangleUp, TriangleDown, Circle

===================================================================*/

	
int color[] =    { 0, 1, 2, 3, 4, 5, 6, 7, 8, 9 };
int color2[] =    { 3, 4, 5, 3, 4, 5, 6, 7, 8, 9 };
int linestyle[] = { 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 };
int marker[] = { 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 };
int dolabel[] =  { 1, 1, 1, 1, 1, 1, 1, 1, 1, 1 };
int addings[] =  { 1, 0, 0, 0 };
float pix[]   =  { 0.0,0.0,0.0,0.0 };
short 	red[256],green[256],blue[256];

int addings3D[8] = {0,0,1,1,0,0,0,0}; /* top surface, bottom surface, surfaces , grid */

#define ABS(x)             ((x) < 0 ? -(x) : (x))

main()
{
float *zz,xs,ys,x,y,undef=9899,idealdistance=1.0;
float cont[10];
int mgraph_no=1,i,j,nbco,nbgrid=10,gridcolor=16;
int width = 50, height = 50;
float	updown=30,rightleft=30,groundlevel=8421,stretch=.5,zeroposition=.8;

/*-----------------------------------------------
 START MGRAPH_SP MODULE: run_mgraph
        LOGIN:  login name;             if NULL will be the current login
        SHELL:  "rsh" or "remsh";       if NULL will be  "remsh"
        PATH :  path where the program is
        PROG :  name of the program (Mgraph_sp)
        COMPUTER:       name of the computer where the program has to
                        be launched;    if NULL will be the server name
        DISPLAY: Your Display Id;       if NULL will be your DISPLAY address
                                             from your environment
-----------------------------------------------*/

	if( !run_mgraph(mgraph_no,NULL,NULL,"/usr/local/bin/","Mgraph_sp","","") )
	{
		printf("Cannot start Mgraph\n");
		exit(0);
	}

	send_title(mgraph_no,-1,"sin(x/y)");

/*-----------------------------------------------
FIX THE AXIS MODE: send_format(mgraph_no,nwindow,extend,XTitle,YTitle,XForm,YForm,Xsize,Ysize,
                                Xgrid,Xlab,Ygrid,Ylab,Xlog,Ylog,Xstep,Ystep)
        int    mgraph_no        Sequence number of the software;
        int    nwindow          Number of window in which the data will be shown (-1=Current)
        int    extend           0=short mode   1=long mode
        char * XTitle           X Title
        char * YTitle           Y Title
        char * XForm            X Format  the C format formulation   ("%.2f" for ex.)
        char * YForm            Y Format    "    "        "
        float  Xsize            X Label size
        float  Ysize            Y Label size
        int    Xgrid            Grid type (10=grid 11=halftone 12=nogrid)
        int    Xlab             0=Draw label on X (1=NoXlabel)
        int    Ygrid            Grid type (10=grid 11=halftone 12=nogrid)
        int    Ylab             0=Draw label on Y (1=NoYlabel)
        int    Xlog             X log if =1
        int    Ylog             Y log if =1
        float  Xstep            X Step (if = 0 no small ticks)
        float  Ystep            Y Step
-----------------------------------------------*/

	send_format(mgraph_no,-1,FALSE,"","","%f","%f",1.0,1.0,
				12,TRUE,12,TRUE,FALSE,FALSE,1.0,1.0);

/*
  Compute the data
*/
	zz = (float *)malloc( sizeof(float) * width * height );
	xs= 12.0 / width;
	ys= 6.0 / height;
	for(i=0;i<height;i++){
	    x= -6 + i * xs;
	    for(j=0;j<width;j++){
	        y= -3 + j * ys;
	        if( y == 0.0) y=.01;
	        *(zz + i * width + j) = ABS(sin((double)(x / y)));
	    }
	}
/*-----------------------------------------------
SEND A SURFACE:
        send_datasurf(mgraph_no,nwindow,width,height,xmin,xmax,ymin,ymax,data,nbcont,cont,
              color, style,mark ,dolabel,add,undef,distance,pix,nlut,
              red,green,blue,near,Format,AddMode);
    int  width                   matrix width
    int  height                  matrix height
    float xmin xmax ymin ymax    limits on X and Y
    float data[width*height]     data values
    int  nbcont                  number of contour values
    float cont[nbcont]           contour values
    int  color[nbcont]           (0->12 - 16)
    int  style[nbcont]           (0->7)      Line style
    int  mark[nbcont]            (0->15)     Mark type
    int  dolabel[nbcont]         Draw label? 0=No 1=Yes
    int  add[4]                  Surface , Region , Dots , Triangles (0/1)
    float undef                   Undef value (float)
                                 (This value will be computed in the final contours)
    float distance                Region distance factor
    float pix[4]                  Color tranformation: minv maxv minp maxp
    int  nlut                    0=no lut   1->14=internal LUT 256=use following LUTS
    short *  Red[256]            LUT
    short *  Green[256]          LUT
    short *  Blue[256]           LUT
    int  near                    pixel interpolation: 0=No 1=Yes
    char *  Format               label C format
    int  AddMode                 1=add mode on graphic window
-----------------------------------------------*/

	nbco = 0;
	send_datasurf(mgraph_no,-1,width,height,1.0, 3.0, 2.0, 4.0,
	              zz,nbco,cont,color,linestyle,marker,dolabel,addings,undef,
	              idealdistance,pix,2,red,green,blue,0,"%.3f",0);


/*-----------------------------------------------
CONVERT THE PREVIOUS SURFACE INTO A 3D PERSPECTIVE
	send_datasurf3d(client_id,window,updown,rightleft,groundlevel,
                stretch,zeroposition,addings3D,nbgrid,thickness,color);

   float  updown            Up/Down angle in degrees 
   float  rightleft         Right/Left angle in degrees    
   float  groundlevel       Undef=8421                     
   float  stretch           between  0 to 1 : reduces z impact  
   float  zeroposition      between -1 to 1 : shifts the graph position  
   int  addings3D[8]        Top surface, Bottom surface, Surface, Grids, 
                            Top curves, Bottom curves  (0/1)     (7 &  8 unused) 
   int  nbgrid              Number of grids                                        
   int  thickness           Grid thickness                                        
   int  color               Grid color (0->12 or 16 for white)                   
-----------------------------------------------*/

	send_datasurf3d(mgraph_no,-1,updown,rightleft,groundlevel,
	                stretch,zeroposition,addings3D,nbgrid,2,gridcolor);


/*===========================================================================
        SEND TO PRINTER ( to a spooler command )
             TO PS FILE (OR EPS)

        send_print(client_id,window,size,type,square,logo,orientation,printer_shell);
        send_create_ps (client_id,window,size,type,square,logo,orientation,file_name);
        send_create_eps(client_id,window,type,orientation,file_name);

   float size                 size in cm (std 16 cm)
   int   type                 0=B/W    1=GreyScale    2=Color
   int   square               square frame? 0=No     1=Yes
   int   logo                 add the logo? 0=No     1=Yes
   int   orientation          0=Portrait 1=Landscape
   char * printer_shell       spooler command: example: "lp -d Myprinter"
   char * file_name           your (E)PS file name
==========================================================================*/

        /*send_print(mgraph_no,window,19.0,2,0,0,0,"/usr/LOA/bin/vidpsTEK");*/
	send_create_ps(mgraph_no,-1,15.0,2,1,0,0,"Mfile3D.ps");
        /*send_create_eps(mgraph_no,window,2,0,"MfilePS.eps");*/

	send_end_dialog(mgraph_no);
	free(zz);
}
